















               VAR Grade is COPYRIGHTED (C) 1990 by Dennis Revie.
               All rights are reserved.

               VAR Grade can be distributed as SHAREWARE.  It is not free.


               Baby Driver is licensed from Ithaca Street Software, Inc.
               COPYRIGHT (C) 1989.  The program INSTALLP.EXE is copyrighted
               Ithaca Street Software, Inc., and is included in accordance
               with the license.  Comments and instructions from the Baby
               Driver manual have been used in this manual.

               VAR Grade is written in Borland International's Turbo
               Pascal.  The files that can be listed by the "DIR *.BGI"
               (screen drivers) and "DIR *.CHR" (fonts) are copyrighted by
               Borland International and are used in accordance with the
               license.






               VAR Grade is dedicated to VAR, without whom neither the
               program nor the program author would exist.



               Diana E. Axelsen has been invaluable in preparing this
               Manual: her assistance is gratefully acknowledged.





























                                       NOTICE



               This program can be used in a preview basis only unless it
          has been registered.  You may use it on an interim basis to
          decide if you want the program.  Should you decide not to
          register it, you MUST erase the program.   If you use the
          program, you MUST register it.

               The program can be updated and improved only if you support
          the program.  If you find the program useful, please express your
          appreciation by registering your copy.  Registration of VAR Grade
          will not only salve your conscience but will also provide you
          with benefits.

               The registration information below is for a single-site
          licence.  This allows you to make as many copies of the program
          as you desire, as long as only one copy is in use at any time.
          Multiple-site licenses are also available on either a per copy or
          per school basis.

               To register, send $30 to the address listed below.  For an
          additional $10, you also get a 78 page laser-printed manual.  The
          Manual includes tutorials, detailed descriptions of ways to use
          the program, figures showing some of the ways the program can be
          used to analyze grades, an index, and suggestions for both
          beginning computer users and for experts.  A shorter disk version
          of the manual (without figures and index) is included with the
          program.  Registration includes:

            (a) The current version of the program on four 360K disks
               (other disk formats are available) will be sent.  This
               includes one disk more than the shareware version.  The
               additional disk includes two utilities:  one to alter the
               graphics printer drivers and the other allows you to load
               students from batch files.  It also includes several
               additional fonts.  There is also an enhanced manual.

            (b) If you find any significant bugs, they will be corrected
               and a corrected version of VAR Grade sent to you as soon as
               possible.

            (c) The next update of the program will be sent free of charge
               (the updated manual will be offered at low cost).  If you
               have purchased the Manual within 90 days of a new update,
               the new Manual also will be included free of charge.

            (d) Further updates will be offered at nominal cost
               (approximately 25% of the price of the current registered
               version).

                                          i











            When you register please include your name, address, and the
            version of the program that you wish to register.  A suggested
            form is included on Disk #3 in the file REGISTER.TXT.

            The following information is useful to us, and essential for
               bug reports:

               (1) The type of computer AND microprocessor 8088, 80286,
                 ...).

               (2) The type of printer you will use with it.

               (3) The version of DOS that you are using (important for
                 finding bugs).

               (4) Where you found or heard about VAR GRADE.

               (5) Any suggestions for improving the program--wish lists,
                 etc. for the program.

               (6) List any bugs that you have found--and EXACTLY, if
                 possible, how they occurred.  This information is needed
                 to find and correct the bug.

            For Registration or Information: 

                                   Dennis Revie
                                   Attn: VAR Grade
                                   4804 Highland Ave
                                   Oxnard, CA 93033-7818
























                                          ii












                                  TABLE OF CONTENTS




          NOTICE..........................................................i


          TABLE OF CONTENTS.............................................iii


          I. INTRODUCTION TO VAR GRADE....................................1

              A. Program Features.........................................2
              B. Conventions Used in this Manual..........................6
              C. GSample..................................................7

          II. REQUIREMENTS................................................8

              A. Versions.................................................8
              B. Files on the Disks.......................................8
              C. Required Files...........................................9
              D. Where Should the Files Be?...............................9

          III. INSTALLATION OF VAR GRADE.................................10

              A. Using INSTALL...........................................10
              B. Installation without INSTALL............................12

          IV. FIRST USE OF VAR GRADE.....................................13

              A. Printing the Manual.....................................13
              B. Starting the Program....................................13
              C. Using an Existing Class: Tutorial.......................13
              D. Starting a New Class....................................16
              E. Entering Data...........................................18
              F. If You Are Lost.........................................19
              G. Exiting the program.....................................19
              H. How Special Keys are Used...............................20
              I. How the cursor keys work................................20

          V. STARTING THE PROGRAM........................................22

              A. Where Should the Program Files Be?......................22
              B. Picking a Class.........................................25
              C. Converting Old Classes Into New Classes.................26
              D. Classes Too Big for the Memory..........................26
              E. Setting Up the Class....................................27
              F. Entering Students, Tasks, Attendance, and Grades........29
              G. Reading the Manual and Help screens.....................30



                                          iii










          VI. ENTERING STUDENTS..........................................32

              A. General Methods.........................................32
              B. Names and IDs...........................................32
              C. Typing in Names and IDs.................................32
              D. Importing Students from Files...........................34
              E. Sorting Students........................................36

          VII. DEFINING TASKS............................................37

              A. Regular Tasks...........................................37
              B. Special Tasks...........................................38
              C. Scaling Tasks...........................................41
              D. Memory Limitations......................................41
              E. Manipulating Tasks......................................42
              F. Examples of Task Definitions............................43

          VIII. ENTERING GRADES..........................................45

              A. Entering Data for the Whole Class.......................45
              B. Entering Individual Student Data........................47
              C. Saving Entered Data to Disk.............................48

          IX. ATTENDANCE.................................................49

              A. Defining Attendance Days................................49
              B. Changing Defaults.......................................49
              C. Entering Class Attendance...............................50
              D. Entering Individual Student Attendance..................50

          X. ANALYZING THE GRADES........................................52

              A. Default Values for Analysis.............................52
              B. Plotting the Scores of a Class..........................53
              C. Plotting the Scores of an Individual....................54
              D. Calculating Statistics..................................55
              E. Correlating Different Tasks.............................56
              F. Statistical Plots of the Classes........................57
              G. Scaling the Tasks.......................................58
              H. Setting the Fewest Allowed Points.......................58
              I. Assigning Standard Deviations and T-Scores..............58
              J. Adjusting the Statistics of a Task......................59
              K. Changing the Grading Names..............................59
              L. Picking Automatic Grade Cutoffs.........................60

          XI. ASSIGNING AND PRINTING THE GRADES AND ATTENDANCE...........61

              A. Default Values for Analysis.............................61
              B. Printing the Student Scores and Attendance..............66
              C. Calculating and Printing Grades.........................67
              D. Exporting Data..........................................69




                                          iv









                                                       Table of Contents
          XII. OTHER PROGRAM FEATURES....................................70

              A. Running Other Programs from VAR Grade...................70
              B. Dates...................................................70
              C. Video Displays..........................................70
              D. Mouse Support...........................................71
              E. Examples of VAR Grade Batch Files.......................72

          XIII. APPENDIX.................................................74

              A. Program Parameters--Defaults and Limits.................74
              B. Backup Files............................................74
              C. Beeps or Noises.........................................75
              D. Menus...................................................77

          XIV. GLOSSARY..................................................78


          XV. FURTHER INFORMATION........................................81

              A. Information.............................................81
              B. Registration............................................81

































                                          v












                            I. INTRODUCTION TO VAR GRADE



               WELCOME TO VAR GRADE!  This program has been written to be
          flexible enough to allow you to grade your class with the same
          methods you now use--except that the program does the tedious
          chores of adding, plotting, and writing the scores.  The program
          has been written by and for teachers and requires no special
          knowledge of computers or MS-DOS.

               This manual will help both computer novices and computer
          experts get the most out of the VAR Grade program.  If you are
          not an experienced computer user, the manual will show you how to
          get started with the program.  Before putting data from your own
          classes on the computer, we suggest that you go through the
          tutorial in Chapter IV, First Use of VAR Grade, which uses a
          sample class to illustrate the steps in starting the program.  If
          you are acquainted with MS-DOS and want to modify the program to
          meet your specific needs, the manual contains helpful information
          on doing so in Chapter V, Starting the Program.  Menus are used
          to access all areas of the program.  This "menu-driven" program
          should be easy to use, but you can also get help at any time by
          simultaneously pressing the <Alt> key and the key "H".

               One of the most powerful features of the program is its
          ability to analyze student grades in a variety of ways.  The
          tutorials and additional material in Chapter IV will enable you
          to examine both individual and group performance using several
          different methods of data analysis.  The calculations generated
          by VAR Grade will give you a great deal of information helpful in
          assigning final grades.  Both you and your students will benefit
          from this data, since you can identify clearly how the student is
          performing relative to the rest of the class, and also evaluate
          the student's work on different assignments.  The program also
          allows you to generate clear and attractive graphics, which will
          answer the question "why did I get this grade?" in detail
          probably beyond what any student would expect.

               The program can be used for both grades and attendance.  You
          may grade with either letter or number grades, and you can mix
          and match letter and number grades.  You can change the points of
          any assignment or score at any time.  You can also use many
          different types of pre-defined assignments (tasks), including
          ones that are the sums, averages, and weights of other tasks.
          Any task or combination of tasks can be plotted, correlated, and
          analyzed statistically.  Attendance for your classes can be
          recorded.  Several categories of attendance are defined by VAR
          Grade.  Individual student scores can be printed or scores for
          each section of the class can be printed.  You can control page
          length, margins, and type size when printing the data.


                                          1










               The program has also been designed to be as immune as
          possible from errors on your part. The program checks for
          reasonable task scores, will not easily let you exit the program
          without saving your data, and will check to ensure that the data
          sent to a disk was actually written before letting you exit from
          the program.  It will also prevent accidental deletions of your
          files by making them read-only files (which you cannot delete
          with the DOS "del" or "erase" commands). You can also protect
          your grades from prying eyes by requiring a password before
          allowing access to your data.

               The program has been in use for several years, and has
          undergone constant improvements and corrections.  However,
          suggestions are always welcome for additions, deletions, or
          improvements to the program.  Please send comments!  Most of the
          recent changes in the program were suggested by people using this
          program.

          A. Program Features

            An unlimited number of students, tasks, and classes of students
            are allowed by VAR Grade.  Only the amount of memory in your
            computer limits these.

            1. Entering the students

               You can enter the students either by entering their names
               directly into the program, or by telling the program to use
               a file of names for the students.  The "N" option on the
               Main Menu will allow a choice between these alternatives.
               See Chapter VI, Entering Students, for further information.

               You can sort and list students several ways, including by
               names, IDs, sections, and task scores.  You can display and
               print students by their names or their IDs.  These can be
               Changed in the "Z" option of the Main Menu.

            2. The number of sections

               The number of sections is initially set at 1 when you first
               start a new class.  For elementary schools, that is probably
               all that you will need.  For high schools and colleges,
               several sections of the same class are frequently given by
               the same instructor.  There is a limit of 99 sections of
               students in the class.

            3. Tasks

               Below is a quick overview of tasks.  For more information,
               see Chapter VII, Defining Tasks.  Tasks can be defined or
               changed in the "T" option of the Main Menu.  Besides
               defining tasks, there is a full retinue of tools to
               manipulate the tasks after they have been defined.


                                          2









                                                            Introduction
               (a) Regular tasks

                 There are ten types of tasks allowed.  Two of them
                 correspond to ordinary number and letter grades.  These
                 can be defined in the "T" section of the Main Menu.  You
                 give a task a name, then, if it is a number task, the
                 total allowed points for the task.

                 (i)   Number tasks are ones in which you enter numbers as
                 the grades.

                 (ii)  Letter tasks are ones where the scores are entered
                 as letters.

                 (iii) Extra credit tasks are ones where the points are
                 added to a number task, but the total points of the number
                 task are not altered.  Extra credit tasks are treated in
                 special ways by the program.  As far as the special exams
                 below are concerned, they have 0 total points.

               (b) Special tasks

                 The second type of tasks are called Special tasks. These
                 pre-defined tasks are also be specified in the "T" section
                 of the Main Menu.  Special tasks are Sums, Averages,
                 Highest, Percentages, etc., of other tasks.  You do not
                 enter scores into special tasks.  Instead, you pick the
                 tasks to be counted in the sum (or average, percentage,
                 highest, etc.) of other tasks.  The program then
                 calculates the scores for you.  These scores will be
                 recalculated each time you change student scores.

                 (i) Sum tasks

                    These are tasks that are the sums of other tasks.
                    Tasks that are not yet entered can be included in the
                    list of tasks that will be summed.  When the tasks are
                    then defined, they will be included in the sums.

                 (ii) Averaged tasks

                    These are tasks that are the average of other tasks.
                    If you use letter grades, the averages are reported as
                    scores between the highest (e.g., A) and the lowest
                    tasks (e.g., F), otherwise they are the numerical
                    average of the tasks.  Any tasks that have not yet been
                    entered are NOT averaged, so the averages reflect only
                    those tasks for which the student has had scores
                    entered.

                 (iii) Percentage tasks

                    These are tasks that average other tasks, then convert
                    those averages to percentages.  Like averaged tasks,

                                          3










                    any tasks that have not yet been entered are not used
                    in the conversions, so the percentages reported for the
                    students are for the tasks that have had scores
                    entered.

                 (iv) Highest tasks

                    These are tasks that sum the scores of other tasks,
                    then the lowest one or more scores are discarded
                    ("throw out the lowest of several scores").  The
                    program will find the lowest of a set of tasks and add
                    up only the highest tasks.  Scores that are unentered
                    are discarded first, then the lowest scores that have
                    been entered are discarded.

                 (v) Weighted tasks

                    You can define a task as the sum of other tasks, each
                    times a weight.  Unentered tasks are given a score of 0
                    for the weighting.

                 (vi) Final weighted tasks

                    You can define a task as the sum of other tasks that
                    are weighted such that the final percentage is what you
                    specify.  This differs from weighted tasks because the
                    weights in the final weighted tasks are the relative
                    worth you want each task to be in the total score,
                    while the weighted task weights are the amount by which
                    to multiply the scores for each exam.

                 (vii) Final task

                    You can define a task as a final task.  This task will
                    keep track of the letter grades assigned in the "G"
                    option of the Main Menu.  These scores are only
                    assigned in the "G" option.

            4. Attendance

               On the "A" option of the Main Menu, you can have VAR Grade
               also keep attendance for your class.  There can be up to 240
               days of attendance, with several different types of
               attendance (present, absent, late, etc.).  The characters
               that represent each attendance type can be changed from the
               Attendance Menu.

            5. Notes

               Besides names and IDs, you can enter notes of up to 20
               characters for the students.  The notes can be anything,
               including why a student missed an exam, seat numbers,
               nicknames, etc.  These notes can be printed along with your
               grades.

                                          4









                                                            Introduction
            6. Entering data

               Scores and attendance can be entered spreadsheet style.
               Students and their data are listed either by individual
               students or by the whole class.  Data entry is checked for
               valid input, so no scores can entered that have more than
               the allowed points.

            7. Writing the scores

               Using the "W" option of the Main Menu, you can print all the
               scores of one student OR the scores you want for an entire
               class or combination of sections of the class.  Note that
               after choosing which way to write out the scores, a menu
               will be displayed that will list a number of options for
               printing on the Print Menu: which sections, what printer,
               and whether to write to the screen only, or also to a disk
               file or a printer.  Thus, the Print Menu allows great
               flexibility in how the program prints the data.

            8. Plotting the scores

               In the "P" option of the Main Menu, you can plot and graph
               the scores of any task you choose.  If you grade with
               numbers, you also choose the low and high scores to plot.
               You can also plot all the scores for one student in the "I"
               option of the Plotting Menu.

               You can correlate scores on two tasks.  The scores will be
               plotted against each other and the correlation coefficients
               calculated.  You will be asked for the high and low scores
               for each exam, just as when plotting exam scores.

               You can also plot the class scores for any task or set of
               tasks.  Ranges, means, medians, and standard deviations are
               calculated and plotted.

               All the plots can be displayed using several fonts, and the
               results printed on your printer.

            9. Define a grading system

               You can pick just about any grading system you want, simply
               by renaming the grades and changing their points.  You can
               also have the program automatically assign grades according
               to your grading scale.  These and other options are
               available in the "G" option of the Main Menu.








                                          5












            10. Assign final grades

               At the end of an task or semester, you can assign grades and
               have the grades and grade cutoffs neatly printed using the
               "G" option of the Main Menu.  If you use number grades, you
               also can weight exams by adding or multiplying the current
               scores by a number, and/or calculate statistics on tasks
               (without plotting scores).

            11. Printers

               You can tell the program which printer that you are using.
               In fact, to be able to print graphs and plots, you need to
               pick a printer during installation or on the "Z" option of
               the Main Menu, with section "P".  Virtually every printer is
               now supported by VAR Grade for printing graphs and plots.
               Most are also supported for printing files in pica, elite,
               and compressed characters (if your printer supports them).
               For unsupported printers, you can find the codes in your
               printer manual, and enter the necessary codes to support
               your printer.

            12. Passwords

               If you keep your grades on a computer that is accessible to
               others, you can prevent most people from "browsing" in the
               student data by telling the program that you want to use a
               password.  The password can be up to 15 characters long, and
               can include spaces and punctuation marks.  Passwords can be
               changed in the "Z" option of the Main Menu.

            13. Other program features

               Anytime that you want to change some of the current settings
               of the program, you can use the "Z" option on the Main Menu.
               Some of these are listed above.  Among other changes, you
               can change (a) the colors of the characters and background,
               error messages, help screens, and graph points, (b) the
               lines on a screen, and (c) the ways dates are displayed.














                                          6









                                                            Introduction
          B. Conventions Used in this Manual

            Names of files and programs are printed in UPPERCASE letters.

            Warnings and notes are printed in italics.

            Examples of what to type are in double quotes: "TYPE THIS".

            MS-DOS prompts are usually listed as: A>.  Anything after the
               prompt should be typed.

               Example: A> GRADE

               The prompt is A>, and you should type "GRADE".

            Special keys are those that do not print normal (ASCII) keys.
               They are designated in the manual and program by bracketing
               the key name with "<" and ">".

               Example: <Esc> means the Escape key, <Rtn> means the Return
                 or Enter key.

          C. GSample

            To look at the capabilities of VAR Grade, two sample classes
            called GSample and GSampleb have been included on Disk #1.
            Many of the features of the program have been used for these
            classes.  To view them, type "GRADE GSAMPLE" if you have a
            color monitor or "GRADE GSAMPLEB" if you have a black and white
            monitor.  These classes are also used for many tutorials seen
            in the manual.
























                                          7











                                  II. REQUIREMENTS



            1. This program will run on an IBM PC or compatible computer.
            2. It requires MS-DOS 2.0 or later.
            3. It requires at least 300,000 bytes of free memory (memory
               LEFT after DOS and memory resident programs like Borland's
               SidekickTM are running). If you have 384K memory or greater
               in your computer you should have no problem running VAR
               Grade.
            4. Two 360K disk drives or one drive of 720K or more.
            5. The program can run using either a monochrome or a color
               monitor.  To see graphs and plots, you need a display
               adapter that can display graphics (e.g., Hercules, CGA, EGA,
               VGA, and others).  If you want to print graphs and plots, a
               dot matrix, ink jet, or laser printer is required.  Grades
               can be printed on any printer.

          A. Versions

            The standard version of this program allows you to have up to
            16,000 students in up to 99 sections or groups per class, up to
            10,000 tasks per class, 240 attendance days per class, and an
            unlimited number of classes.  In reality, the limitations are
            due to available memory.  Should you desire "custom" versions
            of this program, they are also available.  When you register
            your current version, should you desire a custom version,
            indicate so and we will try to meet your requirements.  The
            program will automatically use a math coprocessor chip (8087 or
            80287, etc).

          B. Files on the Disks

            Disk #1:

               README.BAT     Lists Readme.4 to the screen.
               README.4       Introduction to VAR Grade.
               GRADE.EXE      This is the main program.
               INSTALL.EXE    Installation program for VAR Grade.
               GSAMPLE.PAR    Sample class data.
               GSAMPLE.DAT    Student data for the GSample class.
               GSAMPLEB.PAR   Sample class data for use on monochrome
                              monitors.
               GSAMPLEB.DAT   Student data for the GSampleB class.

            Disk #2:

               GRADE.OVR      This is the overlay for the program.
               GRADE.HLP      The file containing help screens.
               INSTALLP.EXE   The program that installs printers.
               GPRTDRV.PDT    Printer drivers (for INSTALLP).
               *.BGI          Screen drivers for VAR Grade.

                                          8









                                                            Requirements

            Disk #3:

               GRADE.MAN      The VAR Grade Manual.
               *.CHR          Fonts for the screen drivers.
               REGISTER.TXT   Registration form.

            The installation program will generate another file, GRADE.PDT.
            This file contains information needed to print graphs and
            screens.  After the program is run, an additional file is
            created, called GRADE.PRT.  This file contains information used
            for printing text from VAR Grade.

          C. Required Files

            For the program to run, it requires:

               GRADE.EXE (program)
               GRADE.OVR (overlay)

            The following files are needed for graphs:

               ?.BGI (which one depends upon your display adapter)
               GRADE.PDT (to print graphs)
               *.CHR (to change fonts for graphs)

            The following files are used for installing printers:

               INSTALLP.EXE (installs new printers)
               GPRTDRV.PDT (printer codes, needed by Installp)


          D. Where Should the Files Be?


            1. If you have DOS 2.X

               The required files can be in the default directory or drive,
               they can be anywhere in the directories specified by the DOS
               PATH command, or they can be in the default directory of any
               drive.

            2. If you have DOS 3.X or later

               The program can be invoked from any drive or directory if
               the required files are in the same directory as the program.
               Otherwise, the files can be in the default directory or
               drive, they can be anywhere in the directories specified by
               the DOS PATH command, or they can be in the default
               directory of any drive.





                                          9












                           III. INSTALLATION OF VAR GRADE



               When you obtain VAR Grade, it will be on disks.  The program
          can be run directly from those disks; however, some of the files
          are not required, and some of the files are better placed onto
          other disks.  Therefore, a program has been included on Disk #1
          that will set up new disks for you that has the correct files on
          the correct disks.  VAR Grade can be installed onto either a hard
          (fixed) disk or onto floppy (removable) disks.  The program
          INSTALL will automatically install VAR Grade.  You will need to
          answer some questions and follow the instructions, but will not
          have to worry about what files are needed where.  If you prefer
          to install the program yourself, directions are given below in
          Section B.

          A. Using INSTALL

            To install the program, you can run the program INSTALL.
            Follow the instructions below.  INSTALL will not modify any
            existing files on your computer.

            1. Put Disk #1 (the "Program" disk) into a drive.  It can be in
               any drive.

            2. You will need 4 blank 360K double-sided floppy disks, 2 720K
               3 1/2" disks, or 1 megabyte of free disk space on any other
               disks.  If the disks are not formatted or not empty, you can
               format them during the installation.  NOTE: The program uses
               the MS-DOS format command for formatting, and will only
               format disks of 1.44 Megabytes capacity or less.  Put one of
               these disks into the drive you will install the program
               onto.  If you are installing onto a hard disk, you will not
               need any floppy disks.

            3. Type "INSTALL".  An opening screen will appear, explaining
               the requirements for VAR Grade and how to use the
               installation program.  If you have a monochrome monitor, you
               should type "INSTALL/b" to force the program into black and
               white mode.  This may be required if you have a Hercules
               compatible monochrome board, as these boards often tell
               programs (erroneously) that they are color boards.

            4. You can exit the installation program, at any time, by
               pressing the "Ctrl" and the "C" keys simultaneously
               (<CtrlC>), or by pressing the "Ctrl" and the "Break" keys
               simultaneously (<Ctrl-Break>).  If the program has not
               completely installed the program, you may have to start
               over.



                                          10









                                                            Installation
            5. After pressing a key, you will be asked for the directory
               where you will be putting the program.  If you have only two
               disk drives, the program can be installed onto either one of
               the two drives.  The program will suggest a drive, but you
               can change it if you want (e.g., to change it to drive A,
               delete the suggested name by pressing the function key
               <F10>, then typing "a:", then press <Enter>).  If you have a
               hard disk, the program will install the files onto the
               directory that you specify.  The program will suggest
               installation onto "C:\VARGRADE", but you can change it to
               any other directory and/or drive.  If you get a "beep" and
               error message, it probably means that you haven't yet put a
               disk into the drive.

            6. The program will now install the program.  If it does not
               find the disks or files it needs, it will request that you
               put them into the appropriate drives.  If the disk does not
               have enough room on it for the VAR Grade files, you will be
               asked what to do.  There are three options: (a) You can
               format the disk.  This is probably the best option. (b) You
               can tell the program to write the files to another disk, or
               (c) You can tell the program to write the disk anyway.
               Choose this option if you have changed the disk or if you
               are installing VAR Grade onto a previous version of the
               program.  If a previous version of the program is present,
               the installation program will ask if the existing files
               should be replaced (overwritten).  Note that you will only
               be asked this once:  if you say yes, all the duplicate files
               will be replaced.

               During the installation, the program will ask you to pick
               your printer.  NOTE: if your computer cannot display
               graphics, this part will be skipped by the installation
               program.  To do this, you will need the name and model
               number of your printer.  Use the arrow, page up, and page
               down keys to traverse the list and find your printer.  Then
               press the <spacebar> to select it.  You can repeat this
               process until you have picked up to 5 printers.  When you
               have picked all your printers, press <F10>.  A file called
               GRADE.PDT will be created that has the necessary
               information.

            7. If there is not enough room on the new Overlay disk for all
               the fonts, they will be put on the new Manual disk.  If you
               decide not to use all the fonts, there should be room on the
               Overlay disk for a couple of the fonts.

            8. When the installation is completed, a message will be
               displayed explaining how to label the disks and how to start
               VAR Grade.





                                          11










            9. When you run VAR Grade, the disk with the overlays needs to
               be in the drive at all times.  Part of the program is in
               "overlays", which means that some of the program is on the
               disk and is read into the program when needed.  NOTE: If you
               have removed the overlay disk, the program will print a
               message asking you to insert the overlay disk it needs to
               continue.  Also, do not move the disk with the overlays from
               one drive to another.  It must always be in the drive that
               it was in when you started VAR Grade.

          B. Installation without INSTALL

            To install the program without INSTALL, follow the instructions
            below.

            1. You need up to 1 megabyte of disk space.
            2. The simplest method is just to copy all of the files from
               the disks onto a directory of your drive.
            3. If you don't have enough room on that drive, the files you
               need are:

               GRADE.EXE, GRADE.OVR: these don't need to be on the same
                 disk.
               A .BGI file:  Which one you need depends upon your display
                 adapter.  The name of the file corresponds to the display
                 adapter (e.g., HERC.BGI is for Hercules adapters).  This
                 and the following files are needed only if you want to
                 view graphs of the grades.
               A .PDT file:  You need to run INSTALLP to install your
                 printer.  Start it by typing
                 "INSTALLP GPRTDRV.PDT GRADE.PDT 5", then select your
                 printer(s) (see step A6, above).  If you have a monochrome
                 monitor, you need to add start the program with "INSTALLP
                 GPRTDRV.PDT GRADE.PDT 5 -m" to force INSTALLP into
                 monochrome mode.  To add or delete printers from VAR
                 Grade, INSTALLP and GPRTDRV.PDT need to be with the
                 program.
               *.CHR files:  To change fonts for the graphs, the CHR files
                 need to be with the program.

            4. The only files that are absolutely required are the program
               (GRADE.EXE) and the overlays (GRADE.OVR).













                                          12












                             IV. FIRST USE OF VAR GRADE



               In general, you move around the program by choosing options
          on menus.  The "Main Menu" is the menu that appears after
          specifying a class name.  If you choose one of the options on the
          Main Menu, the program goes to another set of menus ("secondary
          menus"), etc.  Below is a short description of how to enter data
          for a new class, as well as a list of some of the features of the
          program.

          A. Printing the Manual

            You can print the manual on Disk #3 by typing, at the DOS
            prompt:

               A> COPY GRADE.MAN PRN

          B. Starting the Program

            1. Type "GRADE" when in DOS (i.e., at the prompt:  A>  ).  If
               you have a monochrome monitor, type "GRADE/B".  For more
               details, see Chapter V, Starting the Program.

            2. You will then be asked for the name of a class.  A class
               will be highlighted on the screen.  Press <Rtn> to select
               that class, or use the arrow keys to move the highlight to a
               new class before pressing <Rtn>.  To access any class not
               listed on the screen, type the name and press <Rtn>.  If the
               program cannot find the class, it will ask if this is a new
               class.  If it is a new class, answer "Y" for yes.  Class
               names can be corrected with the <Backspace> key.  After a
               class has been selected, the Main Menu then appears.  This
               chapter will describe both how to start a new class and how
               to use the class supplied with the program.

          C. Using an Existing Class: Tutorial

            Start the program as in section A.  Next, you will see two
            classes highlighted, GSample and GSampleb.  If you have a
            monochrome monitor, move the highlight to GSampleb by pressing
            the left or right arrow keys.  If you have a color monitor,
            move the highlight to GSample.  Press <Rtn>.  VAR Grade will
            now read the students into the program.  For the tutorial,
            "GSample" will mean either of the two classes.


            A menu will appear.  This menu is called the Main Menu.  On it
            are several options.  These options are separated into four
            categories.  First, there are several options involved with













            entering data.  Second, there are options regarding analyzing
            the student data.   Third, there are other options, such as
            changing how parts of the program work, seeing the help
            screens, and running other programs.  Last, there are options
            for leaving the class and program.  You can use the arrow keys
            to move the highlight to a different menu choice.  To pick a
            choice, either move the highlight to the desired choice, then
            press <Rtn>, or just press the key shown on the left side of
            the highlight.


            1. Entering data

               Press "D" on the Main Menu.  You will see a list of students
               in the class and scores for several of the tasks that have
               been defined.  Use the arrow keys on the keypad to move
               around the class.

               (a) Names

                 Move to the second name, "Axelsen, Diana".  The cursor
                 will be at the end of the name.  Press the backspace key.
                 Next press an "e".  The name will now read "Axelsen,
                 Diane".

               (b) Number tasks

                 Move down to "Crick, Francis".  Now move right two cells
                 to the number "80.00".  If you look to the top of that
                 column, it will say that it is task #1, with the name
                 "Number 1".  The cursor will be at the end of the number.
                 Press the backspace key 4 times.  Now type a "5".  The
                 number should read "85".  Move down one cell with the down
                 arrow.  Notice the 85 stays in the previous cell.  You do
                 not have to type a <Rtn> to signal the end of input; just
                 moving to another cell with the cursor keys is sufficient.

               (c) Letter tasks

                 Now move to "Darwin, Charles".  Move right three cells, to
                 a "B".  This is in the column: task #2, "Lette".  The
                 "Lette" is the first five letters of "Letter 2", the name
                 of task #2.  Only the first few letters of each task name
                 is shown (to show all the letters takes too much screen
                 space).  To change the task score, use the backspace key
                 to delete the B, then put in a new grade, from A to F.
                 Notice that if you type any other letters, they will be
                 ignored by the program.  Only valid letters are accepted.

               (d) Scrolling to the right

                 From "Darwin, Charles", task #2, move right four cells
                 with the right arrow key.  Notice that when you moved to












                                                               First Use
                 the fourth cell, the screen shifted to the right.  The
                 names are still listed on the left, but a slightly
                 different set of tasks is shown.  If you want, you can
                 change the score as before.

               (e) Scrolling down

                 Just as in the previous example, you can also scroll down.
                 This time you will see more names.  Use the down arrow on
                 the keypad to go all the way to the last person in the
                 class.  Notice that the screen shifts as you do so.  You
                 can scroll through the students and tasks until you find
                 the data you want to change.

               (f) Changing which data is displayed

                 To change which data is listed on the screen, press
                 <AltC>.  You will see the Display Menu, which asks whether
                 to display the name, ID, or both.  Choose "B", for both.
                 If there had been more than one section of students in the
                 class, you would be asked whether to display section
                 numbers.  In GSample, there is only one section of
                 students.  Next, you will be asked whether to display
                 notes.  Press "Y".  Last, you will be asked which tasks to
                 display.  Type "1 3:2", then <Rtn>.  You have told the
                 program to list tasks 1, 3, and then 2 on the screen.

                 You will now see the names, IDs, notes, and task scores
                 for tasks 1, 3, and 2.  You can display any regular tasks
                 (number, letter, or extra credit), in any order.

                 You could now alter the data, if you wished.

               (g) Exiting

                 To leave this part of the program, type an <AltS>.  The
                 data you changed will be saved into memory.

            2. Analyzing grades

               We can see a plot of the scores on task #1 by pressing "P"
               when we are on the Main Menu.  Next, press a "T" (for three
               dimensional).  You will be asked which task to plot.  Type
               in a "1", then a <Rtn>.  Next, you will be asked for the
               high score to plot.  Just type a <Rtn> to allow the program
               to choose the highest score.  Next, you are asked for the
               low score to plot.  Again, just type a <Rtn>.  You have told
               the program to pick the highest and lowest scores in the
               class as the highest and lowest points to plot.  You will
               next see a menu, the Print Menu, that will list several
               options, such as printing to a printer, disk file, etc.
               Just press "S".  The program will display the plot.  At the
               bottom right of the screen is a message: "Press any key to













               continue."  When you are through looking at the plot, press
               a key.  You will return to the Plot Menu.  Press an "X" or
               <Esc> to exit back to the Main Menu.

            3. Writing scores

               If you want to list some of the task scores of the class on
               the screen, press a "W" when on the Main Menu.  You will see
               another menu, the Write Data Menu.  Press an "S".  This will
               display the scores of all the students in the class.  You
               will be asked whether you want to display task scores,
               attendance, etc.  Pick "T", task scores.  You will then be
               asked for the list of tasks to display.  Type "1:4", then
               <Rtn>.  You have just told the program to list the first
               four tasks in the class.  Next, you will be asked if you
               want to display the student names, and/or IDs.  Press "B" to
               display both.  Last, you will see the Print Menu.  Press "Y"
               on the Print Menu to see the scores, stopping at every
               screenful of students.  When the screen stops, press a key
               to see some more.  When you have seen all the scores, the
               Write Data Menu will appear again.  Press "X" or <Esc> to go
               back to the Main Menu.

            4. Quitting the program

               Press "Q" on the Main Menu to leave the class.  Since we
               changed some of the data, the program will ask you if you
               want to save the data before exiting.  Press "N" (don't save
               the data).

          D. Starting a New Class

            Start the class as in section A.  This time, instead of
            pressing <Rtn>, type in a name of a class.  You will be asked
            if it is a new class, type "Y".  The Main Menu will then
            appear.

            1. First, if there are more than one section of students in
               your new class, you will need to increase the number of
               sections.  You can have up to 99 sections of students in
               each class.  Press "Z" when on the Main Menu.  On the second
               menu, press "S" (change the number of sections).  Type in
               the new number, from 2 to 99, then <Rtn>.  Then exit back to
               the Main Menu by pressing "X" or <Esc>.  If you have several
               classes that use the same tasks and turn in the same
               assignments, calling them different "sections" of the same
               class lets you easily compare them.

            2. Next, you want to enter the names of the students.  Enter
               the names by pressing "N" on the Main Menu.  There are
               several choices.  You can type in only names ("N"), type in
               names and IDs ("I"), or load the class names from a files
               ("F", "A", "C").  Name, IDs, and sections can be changed at












                                                               First Use
               any time.  If you choose "N" or "I", you will be asked for
               the section in which to add students.  If you are typing in
               the names, just enter the names (ending each name with
               <Rtn>).  If you are also typing in IDs, type them in, too.
               If the previous name was entered incorrectly, you can delete
               it by typing <F2>.  When you have finished entering names,
               press <Esc>.

               Example:  If you are on the Main Menu, type an "N", then "N"
               again.  The program will ask for the section number.  Type
               in the section number, then <Rtn>.  You can now type in
               names, ending each with a <Rtn>.  If you misspelled a name,
               but did not notice until you were on the next name, press
               <F2> to delete the previous name.  Retype it in correctly.
               After the last name has been entered, press an <Esc>, and an
               <Esc> again when the program asks for the section number.

               NOTE: The program sorts the names alphabetically.  If the
                 names are entered last name first, they will be sorted by
                 last name.  If they are entered with the first name first,
                 they will be sorted by first names.  The program will
                 check for duplicate names, so you cannot put the same name
                 into the same section twice.

               If you are entering names from a file, the program will ask
               for the name of the file.  Flat files are ones where the
               names, IDs and exam scores are in columns.  For the "F"
               (flat file) option, you need to tell the program where the
               names and IDs are located in the file.  Names longer than 20
               characters will be truncated, as will IDs longer than 15
               characters.  If there are no IDs, sections, or exams, just
               tell the program to start at "0" for them.  For the "A"
               (automatic flat file) and "C" (comma) options, the program
               will try to make sense of the names.  Comma and quote
               delimited files are readable by most spreadsheets.  See
               below, Chapter VI, Entering Students, for more details on
               loading students from files.

            3. Tasks are assignments for students.  They can be exams,
               tests, homework, projects, etc.  If you have task scores to
               enter into the program, press "T" when on the Main Menu to
               define the new assignments.  The second menu will ask you
               for the number of the task.  You will then be asked the name
               and total points of the task (if it is a number exam).  You
               can continue to define as many tasks as you like.  There are
               ten different types of tasks that can be defined.  You must
               define a task before you can enter task scores.  Note that
               if you are grading by numbers, no scores can be entered that
               are either higher than the total points of the task or that
               are less than the fewest allowed points (as set by you).  If
               you are using letter grades, only letters defined by you can
               be used (the "default" grades are A to F, with + and -
               grades, but these can be changed).














            4. Next, you can use either the letters as defined by you, or
               the "default" grades to enter the scores.  Pick the number
               of the task or tasks that you want to use.  You may enter
               scores for multiple tasks or for only one.  You then can
               enter the scores "by individual" ("I" on the Main Menu), or
               "by section" ("D" on the Main Menu). "By individual" lists
               all the tasks for one student, while "by section" or class
               lists for every student in the class only those tasks that
               you have picked.  With either method, the program lists the
               students by the whichever sort method you have chosen (e.g.,
               alphabetically by name).  You can use the cursor keys (up,
               down, etc.) to move to a new task or student.  Pressing
               <Rtn> will cause the program to move to the next task, while
               using the cursor keys will move you up, down, or over to new
               tasks.

               NOTE: If you are "using" cursor keys, you move between
               students with <Ctrl>-cursor keys.

            5. When you are finished entering data, press <AltS> to exit
               the section and save the data to memory.  Next, when on the
               Main Menu, type an "S" to save the data to a disk file.  The
               program will ask for the class name.  Most of the time, you
               will just type <Rtn>.  If you want to change the name of the
               class or the directory where it is located, you can do so
               before pressing <Rtn>.

          E. Entering Data

            In general, if you are asked to "enter" data, end it with
            "<Rtn>" or a cursor key, when you are asked to "press" a key,
            only one key needs to be pressed.

            1. Menu choices

               The program accepts as input only the keys listed on the
               menu, and will respond to the key when it is pressed.

               When you are asked for a menu choice, to select it you can
               (a) press the key, OR (b) use the cursor keys to pick the
               correct choice and press the Return or Enter key, OR (c) use
               a mouse to select the choice and press the left button.






















                                                               First Use


            2. Entering numbers

               When you type numbers in, you must press the return key
               (<Rtn>) or, a cursor key (arrow, page up and down, etc.) to
               signal the end of your data.

               A <Rtn> alone, with no number, tells the program:

                    (a) do not change the current value;    OR
                    (b) end current input of the number;    OR
                    (c) let the program choose the appropriate number.

               Which possibility (a, b, or c)  that the program will use is
               stated when the data is requested.

            3. Selecting and entering names

               When you enter words or names, you must press either the
               return key (<Rtn>) or a cursor key (arrow, page up and down,
               etc.) to signal the end of your data.

               When names of classes or students are listed on the screen,
               the cursor keys can be used to select the student or class
               name.  Select the desired name with the cursor keys, then
               press <Rtn>.

          F. If You Are Lost

               If you are lost, or want to return to the Main Menu, you can
               usually reach it by repeatedly pressing the <Esc> key.

          G. Exiting the program

               Normally, you exit the program by going thru the Main Menu.
               To exit, pick the "Q" (quit the program) option.  If any
               data has been changed, the program will ask if you want the
               changes to be saved.  You can also exit from almost anywhere
               in the program by pressing Ctrl-C (the Control key and the
               "C" key simultaneously: <CtrlC>).  Again, if student data
               has been changed, you will be prompted about saving it
               before leaving the  program.  The key combination Ctrl-Break
               has no effect while in the program.






















          H. How Special Keys are Used

            These keys are not used in all parts of the program, but will
            be used in most parts.  Other keys are also used, but these are
            listed on the screen when they can be used.

               Key       Name of key      Program Function

               <Esc>     Escape           Exit this program section.
               <Rtn>     Return, Enter    End of input.
               <Pg Up>   Page Up          List previous screen.
               <Pg Dn>   Page Down        List next screen.
               <Home>    Home             Go to the first screen.
               <End>     End              Go to the last screen.
               <F1>      Function key 1   Use all choices, or select the
                                          next available choice.
               <F2>      Function Key 2   Delete previous entry.
               <F10>     Function Key 10  To delete current entry.
               <AltH>    Alt-H            HELP--always available.
               <AltU>    Alt-U            Undo that field when entering
                                          numbers or words.
               <CtrlC>   Control C        Exit from the program.  If data
                                          has been changed, you will be
                                          asked whether it should be saved
                                          before exiting the program.


          I. How the cursor keys work

            You have options as to how you want the cursor keys to work.
            If you do not redefine the functions of the cursor keys, they
            will work as follows:

            <Home>, <Ctrl-Pg Up>   Go to the first name or cell
            <End>, <Ctrl-Pg Dn>    Go to the last name or cell
            <Pg Up>                Go up one screen
            <Pg Dn>                Go down one screen
            <Left Arrow>           Go left one cell or column
            <Right Arrow>          Go right one cell or column
            <Ctrl-Home>            Go up one half column
            <Ctrl-End>             Go down one half column
            <Up Arrow>             Go up one name or line
            <Down Arrow>           Go down one name or line
            <Ctrl-Left Arrow>      Go left two columns
            <Ctrl-Right Arrow>     Go right two columns
            <Backspace>            Delete previous character

            You can switch between using or not using edit keys in the "Z"
            section of the Main Menu.  Furthermore, if you choose to use
            edit keys, you can use "insert" or "overstrike" modes.  Just
            press the <Ins> key to switch between these modes.  In insert
            mode, the characters are inserted at the position of the
            cursor, with the rest of the characters pushed to the right.












                                                               First Use
            In overstrike mode, the character typed replaces the one that
            was at the cursor.  If you "use" edit keys, by redefining their
            functions, you will be able to move left or right in the data
            with the cursor keys functioning as they would in a word
            processor.  If you switch to "using" the edit keys, they will
            be redefined as follows:

               <Home>              Go to the first character.
               <End>               Go to the last character.
               <Left Arrow>        Go left one character.
               <Right Arrow>       Go right one character.
               <Ctrl-Left Arrow>   Go left one name or cell.
               <Ctrl-Right Arrow>  Go right one name or cell.
               <Del>               Delete the character at the cursor.
               <Ins>               Switch between Insert and Overwrite
                                   modes.




















































                               V. STARTING THE PROGRAM



               This part of the manual tells you how to start the program,
          including  where to place your files, where to put your class
          grades, and how to locate class files from the program.  It will
          also explain how to access help and the manual from the program.
          You should have already installed the program (see Chapter II).

          A. Where Should the Program Files Be?


            1. For DOS beginners

               Before starting the program, make sure that all the program
               files listed above in Chapter II, Requirements, are in the
               current directory of one disk, or, if the program has been
               installed onto floppy disks, on the current directories of
               two disks.

               At the DOS prompt, type: "GRADE"

               If you are not a DOS expert, go to section B.

            2. For DOS experts

               The program will search the current environment for the
               program files.  This means that the search for the files are
               in the following order:

               (i)  It searches the current directory first.
               (ii) It then searches for the files in the directory where
                 the "GRADE.EXE" file was found.
               (iii)     It then searches the directories specified by the
                 DOS PATH command.  NOTE: The PATH command tells DOS which
                 directories to search for executable files:  those ending
                 in ".COM", ".EXE", or ".BAT".
               (iv) If it still hasn't found the files, it searches the
                 default directories on each drive in your computer.
               (v)  If the program files are still not found, the program
                 will halt with an error message.

               The required files, therefore, are most logically placed in
               one directory of a hard disk or on two floppy disks, as is
               done by INSTALL.







                                          22









                                                    Starting the Program
               (a) MS-DOS 3.X or above

                 The program can be started from any directory by just
                 typing the directory and "GRADE".  For example, if the
                 program is in the directory c:\class, just type
                 "c:\class\GRADE".  If the program files are in the same
                 directory as the GRADE.EXE file, the program will find the
                 files it needs.  Note that this will only work in DOS 3.X,
                 not in DOS 2.X.

               (b) MS-DOS 2.X

                 Because the program can find the necessary files if the
                 program has been installed correctly, you can then keep
                 the program files in one directory, and the class files in
                 another.  Just make sure that the PATH command specifies
                 the directory where the program is located.  Read your MS-
                 DOS manual for directions on how to use the PATH command.

                 If you know the name of the class that you want to grade
                 before you enter the program, you can enter the class name
                 as a parameter on the command line:  e.g., if the class is
                 called "BIOLOGY", type "GRADE BIOLOGY" at the DOS prompt.
                 The BIOLOGY class data will automatically be read into the
                 program.  The class name can include a path, so, if the
                 BIOLOGY class is located in the c:\science directory, you
                 can start the program with "GRADE C:\SCIENCE\BIOLOGY".

               (c) Examples

                 (i) If the program is on the same drive as the class (the
                    "A>" is the DOS prompt):

                      For example, type:

                         A>  GRADE

                    If the program is on a different drive, type the drive,
                    colon, GRADE.

                      For example, if you are on drive A, and the program
                      is on drive B, type:

                         A> B:GRADE

                    The program will find the overlay, print, and help
                    files if they are on the default directory or on any
                    directory specified by the path command.







                                          23










                 (ii) If you know the name of the class that you want to
                    use, enter it on the DOS command line:

                         A> GRADE classname OR
                         A> GRADE \path\classname

                 (iii) If you are using a hard disk, you may want to set up
                    a batch file that will do the typing for you:

                    Batch file example:

                      If GRADE (including the necessary files) is in the
                      directory, C:\CLASS, prepare a batch file that says:

                         SET PATH=C:\CLASS;
                         GRADE

                              OR

                         SET PATH=C:\CLASS;
                         GRADE classname

                 (iv) If you are using DOS 3.X, you can start the program
                    by typing the directory and "GRADE":

                    If VAR Grade is in the directory C:\CLASS, type

                         C:\CLASS\GRADE

                              OR

                         C:\CLASS\GRADE classname

                 (v) If you have a monochrome monitor, you may need to
                    start the program with:

                         GRADE/B classname

                    This will force the program into monochrome mode.  Many
                    Hercules compatible display adapters erroneously tell
                    programs that a color monitor is attached.  The results
                    are that some color combinations are invisible to you.

                    You can also force the program into monochrome mode
                    with a DOS SET command:

                         A> SET VMON=BW;

                    You can set up a batch file for VAR Grade as follows
                    (assuming the program is in the directory C:\VARGRADE):

                         SET VMON=BW;
                         SET PATH=C:\VARGRADE;
                         GRADE

                                          24









                                                    Starting the Program

                    If you have a monochrome monitor, you probably want to
                    add that command to your AUTOEXEC.BAT file.  This file
                    is executed every time you start your computer.

               (d) Using one drive to run the program

                 You can start the program from one 360K drive by putting
                 the program disk in the drive, and typing "GRADE".  When
                 the program cannot find the overlay file, you will be
                 asked to put the disk containing the file into a drive.
                 If you now put it in the same drive that the program disk
                 was in, the program will continue and run correctly.

          B. Picking a Class

            When the program starts, the first screen shows the program
            name, a comment about registering the program, the class files
            and directories listed on the directory from which the program
            was invoked, and a prompt for the class.

            If there are any files on the disk that have the extension
            ".PAR", they will be listed by the program on the opening
            screen.  The ".PAR" file contains the parameters of your class:
            exam names, default settings for the program, etc.  To help you
            find the right class, sub-directories are also listed.

            You can either type in the name of the class, or you can use
            the cursor keys to locate the class.

            1. Using the cursor keys

               One of the class files or a directory will be highlighted.
               If you have a monochrome monitor and do not see a class
               highlighted, try starting the program with "GRADE/B" to
               force the program into monochrome mode.  To pick the correct
               class, use the cursor keys to move the highlight to the
               correct class or directory.  Then press <Rtn>.  If you chose
               a directory, a new listing of classes will be shown.  Repeat
               the above process until a class is chosen.

               NOTE: If any characters have been typed on the prompt line,
               the program will use them as the class name.  You can delete
               these by using the <F10> key.

            2. Typing in the name

               (a) If the class that you want is not listed, you can change
                 directories and search for the class.  There are two ways
                 to change directories:

                 i)  Press <F5>, then type in the name of the new drive or
                    directory.  You can continue to change directories
                    until you find the desired class.

                                          25











                 ii) Type the new drive or directory instead of the class
                    name.  The program first tests to determine whether
                    what you have typed is a directory.  If it is, the
                    directory is changed.  NOTE: The new directory must end
                    in a backslash ("\"), or the new drive must end in a
                    colon (":").

               (b) If and when your class is listed, just type the name in.
                 The ".PAR" is not needed, and any extensions, like .PAR,
                 are discarded.  The program will read in the class
                 parameters, and, if a file with the same name with the
                 extension ".DAT" is also there, the student scores will be
                 read into the program.

            3. Starting new classes

               Type in the name of the class.  When the program does not
               find the ".PAR" file, it will ask if this is a new class--if
               it is, press "Y".  The new class will be created.

               Each class has two files.  Each starts with the name of the
               class (e.g. "BIOLOGY").  They have the extensions ".PAR" and
               ".DAT" (e.g. "BIOLOGY.PAR" and "BIOLOGY.DAT").  There may
               also be backup files with the extensions ".PAX" and ".DAX"
               (see the Appendix for further details).

            4. Using the DOS command line

               You may also enter the class name from the command line by
               listing it as a parameter: e.g. if the class name is "MATH",
               start the program by typing: "GRADE MATH".  If the class
               exists, it will be read into the program.  If it does not,
               you will be asked if it is a new class.  If you say that it
               is not, you will be asked to reenter a class name until you
               have picked the desired class.

          C. Converting Old Classes Into New Classes

            If you want to use the same exams and class information for two
            different classes, just copy the "CLASSNAME.PAR" file to a new
            classname (e.g., copy "BIOLOGY.PAR" to the file "MATH.PAR" by
            typing, at the DOS prompt: "COPY BIOLOGY.PAR MATH.PAR".  Math
            will now be set up exactly the same way as Biology).  The new
            class is now set up the same as the previous class, except that
            no students will be in the new class.  This feature can allow
            you to set up your class once and use the set-up for many
            classes in the future.

          D. Classes Too Big for the Memory

            After the classname is entered, the program will read in the
            class data and student information.  If there are more students
            than can fit in the available memory, the program will warn you

                                          26









                                                    Starting the Program
            and ask if you want to continue.  If you continue, the program
            will read ONLY as many students into the class as there is
            memory.  WARNING: If you then use the program and save the
            data, the students that were not read into the program will be
            lost.  To find out approximately how many students can be read
            into the program, enter a "Z" when in the Main Menu.  At the
            top of the second menu you will see how many students are
            currently in the class and how many could be in the class if
            all the available memory is used and if the current exams are
            not increased.  There are essentially an unlimited number of
            students and exams allowed.  The limitations are that all the
            data must be able to fit into the available memory.

            Part of the program is in overlays.  This means that part of
            the program is on disk, not in memory.  When the program
            starts, it leaves a certain amount of memory free, and uses the
            rest for overlays.  You can change how much of the program is
            in memory with a DOS SET command.  If you need more memory,
            enter the following command at the DOS prompt:

               A> SET OMEM=0;

            This command will shrink the program to its minimum size.
            Conversely, to put all the program into memory, use the
            command:

               A> SET OMEM=150000;

            You can add either SET command to your AUTOEXEC.BAT file that
            is executed when you start your computer.  This way, the
            program will always use the amount of memory you want.  You can
            vary the number from 0 to 150000 to get variable amounts of the
            program in memory.

          E. Setting Up the Class

            Anytime that you want to change some of the current settings of
            the program, you can use the "Z" option on the Main Menu.

            1. The number of sections

               The number of sections is initially set at 1 when you first
               start a new class.  For example, if you teach 3 English
               classes that have identical exams and assignments, you can
               call them different sections of the same class.  You can
               then compare the different classes as "sections".  Each
               section uses the same set of exams, but the program can do
               statistics on any combination of sections.  The program
               keeps track of what sections you last used, and will, by
               default, use whatever sections that were last used by you.

               To set the number of sections, go to the "Z" option of the
               Main Menu, then into "S".  Just enter the number of sections
               that you have in the class.

                                          27










            2. Colors

               Yes, the default colors of the program can be changed!  This
               can be done in the "Z" option of the Main Menu, then "C".
               There are several colors used, designated:

                 (i)     Normal colors:  The text is in this color.
                 (ii)    Background color:  The background is this color.
                 (iii)   Highlight color:  This color is used for plotting
                    scores, and is used to make the scores standout better.
                 (iv)    Error colors:  For error messages.
                 (v)     Help colors: Colors used by the Help screens.

               Some of these colors are used in pop-up menus and messages,
               as well.  To change the colors, press "Z" on the Main Menu,
               then "C" (color) on the second menu.  You will be asked for
               the new colors.  The bottom lines of the screen show what
               the colors would look like.  Needless to say, if you are
               using a monochrome monitor, you will only get black and
               white.  Some monochrome adapter boards tell the program that
               they are color boards.  This results in some things becoming
               invisible or not highlighted when they should be.  If this
               is the case for you, you can force VAR Grade into monochrome
               mode by either of two methods:

               (a) Start the program with "GRADE/B".  The /B tells the
               program that you are using a black and white monitor.

               (b) Set a DOS command:  "SET VMON=BW;".  At the DOS prompt
               (e.g., A>), type the above statement.  This tells the
               program you are using a black and white monitor.  This
               command can also be put into your AUTOEXEC.BAT file that is
               run when your computer is turned on.

            3. Files

               The class grade files are, by default, written in what is
               known as "read-only" files.  This means that if you are in
               DOS and ask that the files be deleted, they will not be
               deleted by DOS.  The program does this to prevent accidental
               deletions of the data, but this can sometimes cause problems
               with other programs, most notably some backup programs.  You
               can change the way files are written by specifying that they
               be written normally (they can be deleted by DOS), as read-
               only files, or that they be "hidden" files (DOS will not
               even list the files on a "dir" command).  Hidden files will
               still be seen by VAR Grade, but not by anyone casually
               snooping around your disk.  To do this, go to the "Z" option
               of the Main Menu, then pick "F".  Then just choose the type
               of file for writing the student data.

               Backup files are normally made of your grades.  These
               backups contain the data from the previous time that you
               saved your data.  The backup files have the same name as the

                                          28









                                                    Starting the Program
               class, but have the extensions ".DAX" and ".PAX".  NOTE: The
               appendix gives more information on these files.  No matter
               in which type of file the class data is written (read-only,
               hidden, or normal), the backup files are made normal files.
               This means that they can be deleted should you not want to
               clutter up your disk with them.  However, if you prefer not
               to have the program make backup files, you can use the "B"
               option on the Parameters Menu to prevent backups.  It is
               strongly recommended that you let back-up files be made and
               that you let the program write the class files as read-only.
               The combination of these two options will give your data
               much greater security.

            4. Printers

               You can tell the program which printer you are using.  In
               fact, to be able to print graphs and plots, you need to pick
               a printer during installation or in the "P" section of the
               "Z" option of the Main Menu.  Virtually every printer is now
               supported by VAR Grade for printing graphs and plots.  Most
               are also supported for printing files in pica, elite, or
               compressed printing (if your printer supports them), and
               bold and high quality.  For unsupported printers, if you can
               find the codes in your printer manual, you can enter the
               necessary printer codes to support your printer (See Chapter
               X: Printing the Grades).

            5. Passwords

               If many people have access to your computer and its disks,
               you may worry about someone's altering your class files.  To
               greatly reduce the chances of this happening, you can
               require that a password be used for your class.  To define a
               password, use the "W" option in the "Z" section of the Main
               Menu.

               Note: The default value is not to have a password.  The
               password can have up to 15 characters, numbers, and/or
               punctuation characters.  Should you forget your password,
               you can contact us at the address at the end of the manual
               to get instructions on how to defeat the password. (Note:
               you MUST be registered to receive help.)  The password is
               not foolproof, but greatly reduces the likelihood of
               snooping.

          F. Entering Students, Tasks, Attendance, and Grades

            There are two kinds of prompts in the program.  The first, like
            the prompt asking for the classname, asks you to Enter the name
            and then type a <Rtn> to signify the end of the data.  The
            second type only asks for one key--this option is usually used
            for the menu selections.  To save keystrokes, the program will
            respond immediately when the key is pressed--no <Rtn> is
            necessary.  When you are presented with a list of choices, you

                                          29










            can use the cursor keys to move to the desired choice, then
            type <Rtn> to select that choice.

            NOTE: In many parts of the program, if you enter a <Rtn> with
            no data entered, the program will assume either that: (a) you
            did not want to enter data--the program will continue; or (b)
            you want to exit this section and go back to a higher level
            menu; or (c) the number to be entered is zero.

            In general, if the program asks you to enter data, you should
            end with a <Rtn>. If you are choosing a menu option or between
            two alternatives, press only the appropriate key.  When you
            have to enter a long list of numbers, such as designating Task
            80 as the sum of Tasks 1 to 79, the program will allow you to
            enter them with an inclusive colon:  "1:79" would be 1 through
            79, rather than requiring you to enter all the numbers from 1
            to 79.  This situation arises in three places: when entering
            lists of tasks, as noted in the example, when entering lists of
            sections to use, and when entering attendance days.  Colons can
            be used to enter a list of numbers from high to low, as well.
            Entering "79:1" will tell the program to use tasks 79 down to
            1.

            Example: To enter tasks 1 thru 5 and 8, type:
            "1:5<Rtn>8<Rtn><Rtn>".

            NOTE: When entering a list of separate numbers, you can
            separate them with <Rtn>s,  commas, or spaces.  For the above
            example, typing "1:5,8,<Rtn>" or "1:5 8 <Rtn>" will give the
            same result.

            Later chapters in this Manual will tell you how to enter
            students, tasks, attendance, and grades.

          G. Reading the Manual and Help screens

            If the files GRADE.HLP and/or GRADE.MAN are present in the
            default directory of any drive or in any directory specified by
            the DOS path command, then you can read them from the program
            (See Chapter V Section A, above).  When the program is on the
            Main Menu, type an "H" for help or an "M" for the manual.  The
            help screen is much shorter and less detailed than this manual.
            The help screen can also be reached from anywhere in the
            program by typing <AltH> (press the ("Alt" and the "H" keys
            simultaneously).  The help reached from <AltH> is context
            sensitive.  This means that VAR Grade will try to find the
            relevant material from the help file.  You can browse at will
            through the file by using the cursor keys.  When in Help or the
            Manual, typing <AltK> will show you a list of the keys and
            features supported.  If there is not enough memory to display
            the file, an error message will appear.  To view the file, you
            would then have to reduce memory use (See Section D, above).



                                          30









                                                    Starting the Program

            Moving with the keys in HELP or the MANUAL:

               <Up Arrow>          Up one line
               <Down Arrow>        Down one line
               <Page Up>           Up one screen
               <Page Down>         Down one screen
               <Ctrl-Home>         Up one-half screen
               <Ctrl-End>          Down one-half screen
               <Home>, <Ctrl-Pg Up>     Beginning of the file
               <End>, <Ctrl-Pg Down>    End of the file

               <AltL>              GO TO LINE:  The top line will be the
                                   line that you designate.  In the center
                                   of the screen a box will appear that
                                   will ask for the line number.  At the
                                   bottom right of the screen, you can see
                                   which line you are on and how many lines
                                   there are in the file.  Example: type
                                   "<AltL>4<Rtn>" to go to line 4.

               <AltS>              GO TO SCREEN:  The top line will be the
                                   first line of any screen that you enter.
                                   In the center of the screen a box will
                                   appear that will ask for the screen.
                                   The total number of screens and the
                                   screen that you are currently on are
                                   shown at the bottom right corner of the
                                   screen.  Example: type "<AltS>8<Rtn>" to
                                   go to screen 8.

            To locate text:

               <AltF>         Find a string
               <AltN>         Find the next matching string
               <AltB>         Find the previous matching string
               <AltK>         Show the supported keys
               <AltR>         Return to the previous screen

















                                          31












                                VI. ENTERING STUDENTS



               One of the first things that you will do when starting a new
          class is to enter the names of students into the program.  This
          Chapter tells you how to enter new students into the class, add
          IDs, change the names of students, and sort and list the students
          in the class.

          A. General Methods

            When the Main Menu is on the screen, choose the "N" (Name)
            option.  Several options will be listed on a new menu, the Add
            Student Menu.  You can type the names into the program via
            options Name only ("N"), or by Name and ID ("I").  You can
            import (read) names into the class from flat files ("F" and
            "A"), or comma and quote files ("C").

          B. Names and IDs

            The student names can be up to 20 characters long, and can
            include spaces and punctuation.  The program can sort the
            students alphabetically by their names for printing out scores,
            so it is usually better to enter the names last name first.
            Spelling is retained exactly as you enter it, except that
            leading and trailing spaces are ignored.  When sorting,
            however, lower and upper case letters are not distinguished, so
            "Sue" is considered to be the same as "sue".

            ID numbers or other names (nicknames, etc.) can be entered as
            "IDs".  At some colleges and universities, students are given
            their grades by student numbers rather than by name.  You can
            use IDs for first or last names and the "name" for the last or
            first name.  You can change IDs, or add them later in the
            several sections of the program.  IDs can be up to 15
            characters long, and can include spaces and punctuation.  The
            program can sort by IDs as well as names.  Spelling is
            retained, but, as in sorting names, sorts do not distinguish
            between lower and upper case letters.

          C. Typing in Names and IDs


            1. Names only

               You add names on the "N" option on the Add Students Menu.
               You first need to tell the class which section you want to
               enter students.  Pick a number from 1 to 99.  To enter
               names, you just need to type in the name, ending with a
               <Rtn>.  If the name is already present in the section, it is
               NOT reentered and an error message results.  The same name

                                          32









                                                       Entering Students
               can be used in two different sections of the same class.
               To delete the letters you have typed, and hence remove the
               name, type an <F10>.  The <F10> command works in all parts
               of the program.  Names can be changed later in several parts
               of the program (see below).  If you added the previous name
               in error, you can delete it with an <F2> (backup) command.
               When you have added all the names, press the escape key
               (<Esc>).  You will exit back to where you are asked for the
               section numbers again.  To exit, press <Esc> again.

            2. Names and IDs

               This option, "I" on the Add Students Menu, works the same as
               for adding names only.  The only difference is that you are
               asked for the ID, as well.  Deleting an ID or Name with <F2>
               will remove the previous student from the class.

            3. Adding, changing, and deleting names, IDs, and notes

               Names, IDs, and notes can also be added, changed, or deleted
               in four other places of the program.  The details are
               described in later chapters.  The four places are: (i) "I"
               on the Main Menu: Individual students; (ii) "D" on the Main
               Menu: Data entry for tasks of the class; (iii) "A" on the
               Main Menu, then "I": Adding attendance for individual
               students; and (iv) "A" on the Main Menu, then "C": Data
               entry for class attendance.

               Student notes are a field in the student records that can be
               used to enter up to 20 characters.  Notes can be used to
               enter seating arrangements, comments, nicknames, or anything
               else you may want.  They can be printed, but otherwise are
               not used much by VAR Grade.  They can be entered and changed
               in the same four places of the program mentioned above.

               (a) When individuals are listed

                  In the attendance by individual students (iii, above) or
                 Tasks by individual students (i, above), all the tasks or
                 attendance for a student are listed.  If you press the
                 <AltI> key (insert student), you will be presented with a
                 blank form to enter the new name.  Entering any letters
                 will add the student to the class.  An "Empty" or blank
                 name will be deleted or not entered into the class, and
                 the deletion can be quickly done by using the <F10> key.
                 Note: when a student has been deleted, his or her name and
                 all associated data are deleted.  Changing the spelling of
                 the name, ID, or note, or changing the section number for
                 the student, is also possible here.  Note: only sections
                 that have been defined are allowed as sections for the
                 student.  You can increase the number of sections in the
                 "Z" section of the program.



                                          33










               (b) When the whole class is displayed

                 If you need to add a new name when in parts ii or iv
                 (above), use the key <AltI>.  A new line will be displayed
                 on the screen.  As above, removing a student name will
                 remove that student and the associated data from the
                 class.  Blank names are removed from the class only when
                 you leave that section of the program.

                 A second way to delete the student is with the <AltD> key.
                 The student will be deleted immediately, and the rest of
                 the class moved up one line.  Note: when a student has
                 been deleted, his or her name and all associated data are
                 deleted. 
                 You can also change the names, IDs, notes, or sections for
                 a student by using the cursor keys or a mouse to move to
                 the cell with the name, ID or section and typing in the
                 new name or ID for that student.  To see any students not
                 listed on the screen, use the cursor or Alt keys (as
                 listed at the top of the screen).  The cell highlighted is
                 the one that will be used for data input.  You can use the
                 <F10> key to completely delete the ID or name.

                 If you start altering the data, then decide the original
                 data was correct, you can retrieve the data if you haven't
                 moved from that cell.  Use the <AltU> (undo) key to get
                 the original data back.

               (c) Recovering deleted data

                 Data that has been changed or deleted is normally lost.
                 There are, however, two ways to recover the data if you
                 immediately decide to "undelete" it:

                    (i)  quit the program without saving the data to disk.
                      Any data entered in this session will not be saved.

                    (ii) if you have already saved the data from the class,
                      use the backup files to recover the data from the
                      previous session.  More information on how to do this
                      is located in the Appendix.

          D. Importing Students from Files

            You can also enter names via text files.  VAR Grade will import
            data that is written by many other programs, including most
            spreadsheet programs.

            1. Importing flat files

               Many spreadsheets will export (write) data in a flat file.
               A flat file is one where the data is listed in columns.  All
               the names of students are in one column, all the IDs in
               another, etc.  In the "F" option of the Add Students Menu,

                                          34









                                                       Entering Students
               you can pick a flat file of student names, IDs, sections,
               and/or task scores, tell VAR Grade which columns the name,
               IDs, sections, and tasks are in, and have the data
               automatically loaded into the class.  The file must have
               been previously prepared by deleting lines that do not have
               student names on them, or else the program will try to load
               those lines as well.  An example of a flat file is listed
               below:

                    Jones, Fred   123   1     34.5   23.5   B   44
                    Smith, Ann    321   2     43.5   18.3   B   43

               To load new students into the class, the program will first
               ask for the filename of the flat file.  It will then display
               the contents of the file across the top of the screen, along
               with a ruler.  You now have to tell the program what data is
               where.  First, you need to tell the program where the
               student names are.  An answer of 0 tells the program that
               data is missing from the file.  Next you tell the program
               where the IDs, notes, sections, and tasks are located.  For
               the tasks, you will also be asked for the number of the
               task.  Data then will be read into the program.  For the
               tasks, if the data is numeric, it will be read in as number
               tasks; if it is not numeric, the data will be read in as
               letter tasks.  In the above example, suppose the first
               column is the names, the second the IDs, the third the
               sections, and the next four are tasks.  The sixth column
               (third task) would be read in as a letter task.  The tasks
               would be numbered as the first four unused tasks in your
               class, and given names (e.g., Number task 1, Number task 2,
               Letter task 3, and Number task 4).

            2. Importing comma & quote files

               Many spreadsheets also can read in data from files where the
               data is not in columns, but is instead separated by commas.
               Data that has commas in it, e.g., student names, are kept
               together by double quotes ("").   The "C" option of the Add
               Students Menu lets you import data from these files.   An
               example of data in the file might be:

                    "Jones, Fred", "123", 1, 34.5, 23.5, B, 44
                    "Smith, Ann", "321", 2, 43.5, 18.3, B, 43

               The program will assume that the student names are in the
               first field, the IDs in the next, and the next five are
               tasks.  For the tasks, the fourth one will be a letter task;
               the others will be number tasks.  As in the flat files, the
               names of the exams will be made by the program, and the
               first five unused tasks will be used for the new tasks.  If
               this is not what you want, you have another option.  You
               might include this as the first line of the file:

                    "Name", "ID", "Section", "One", "Two", 8, "#4"

                                          35











               This line would tell the program that the first field is the
               name, the second is the ID, the third is the section, the
               fourth and fifth are number tasks (they are numbers) with
               the names One and Two, the sixth is a Letter task 8, and the
               last field is a number task with the name #4.  NOTE: Whether
               they are letter or number tasks is determined by the student
               data, not from the first line.  On the first line, "Name"
               tells the program that field is student names, "ID" tells it
               is IDs, "Notes" means student notes, "Section" refers to
               sections, and any other words are treated as tasks.  These
               need to be the entire label for the fields, but whether the
               labels are in upper and/or lower case letters is not
               important.  For the tasks, anything that is a number (like
               8) is taken as the desired number of the task (the program
               will make up a name for the task), and anything that is not
               a number will be taken as the name (with its number being
               the first unused task).  Whether the tasks are made number
               or letter tasks are determined by the data on line two (the
               first student).

            3. Automatic flat file imports

               The "A" option on the Add Students Menu works like the
               previous one ("C"), except that the fields are separated by
               one or more spaces, not by commas.  The method of
               determining the type of data is the same as that used for
               the comma and quote files.

          E. Sorting Students

            Students can be sorted by a variety of methods, including by
            name only, by name and section, by ID only, by ID and section,
            by section only, by the scores of any defined task, or by no
            sorts.  You can change the method of sorting in the "Z" option
            of the Main Menu, then "A" (alter the method of sorting the
            class).  The change is "permanent" in that the program will
            remember which sorting method was used and will continue to use
            that method until told differently.  Sorts are not done until
            you are finished altering data, so if you add new students, the
            names will not be alphabetized or sorted until you exit back to
            the Main Menu.

            You can have the program list the students via their names OR
            by their IDs.  This affects how the students are listed when
            you see lists of students on the screen.  When you print the
            scores, you are also asked how you want the class listed to the
            printer.







                                          36












                                 VII. DEFINING TASKS



               Tasks are graded assignments for students.  They can be
          homework, exams, tests, papers, or anything else that is graded.
          There are ten different predefined types of tasks in VAR Grade.
          The tasks are divided into two categories: (1)  Regular tasks are
          those where you enter grades.  There are three types of regular
          tasks.  (2) Special tasks are those that you do not enter grades
          into.  These include sums, averages, percentages, etc.  There are
          seven types of special tasks.  Defining, removing, and redefining
          tasks can be done from the Task Type Menu, the "T" option of the
          Main Menu.

          A. Regular Tasks

            You can enter tasks as numbers (Number tasks), you can enter
            them as letters (Letter tasks), or you can enter them as extra
            credit (Extra credit tasks).  These can be defined in the "T"
            section of the Main Menu.  You give a task a name, then, if it
            is a number task, the total allowed points for that task.

            1. Number tasks

               Number tasks are ones in which you enter numbers as the
               grades.  The maximum allowed points for any regular task is
               one million!  The program checks the scores of every student
               when you put in the scores to make sure they do not exceed
               the maximum allowed points.  If the score does exceed it,
               that score is rejected, and a new score must be entered.
               This validation of scores reduces the number of errors made
               while entering student scores.  Tasks that have 0 or less
               total points are ignored by Special tasks.

            2. Letter tasks

               Letter tasks are ones where the scores are entered as
               letters.  The program will converts them to numbers, but the
               score can be entered, printed, and manipulated as a letter
               grade. 
               The standard or default grading system is an A is 4.0, a B
               is 3.0, a C is 2.0, etc.  Plusses are 0.3 points higher
               (except A+), and minuses are 0.3 points below the grade
               (e.g. B- = 2.7;  C+ = 2.3).  You can, however, define any
               grading system that you want, including the names and points
               for each grade, as long as the total grade types does not
               exceed 12 (see Chapter XI, Section ).  If you do change the
               grading system, you should do it before you enter any letter
               grades.  The program stores the grades as numbers, not as
               letters.  Thus, changing the points allowed for letter


                                          37










               grades after some letter grades have been assigned can
               result in incorrect scores.

            3. Extra credit tasks

               Extra credit tasks are ones where the points can be added to
               a number task, but the total points of the number task are
               not altered.  Extra credit tasks are treated in special ways
               by the program.  The extra credit tasks need to have the
               total points be specified, just like number tasks.  However,
               this number is used only to check data entry.  As far as the
               special exams (below) are concerned, extra credit tasks have
               0 total task points, but the student scores are used in the
               calculations for special tasks.  In the case of discarding
               the lowest of a list of tasks, if the extra credit score is
               one of lowest scores, it will be discarded.  This may not be
               what you want, so you should consider this potential problem
               before you include extra credit tasks in the definitions of
               Highest Tasks.

          B. Special Tasks

            The second type of tasks are called Special tasks. These can
            also be specified in the "T" section of the Main Menu.  Special
            tasks are Sums, Averages, Highest, Percentages, etc., of other
            tasks.  You do not enter scores into special tasks.  Instead,
            you define the task as the sum (average, percentage, highest,
            etc.) of other tasks.  The program then calculates the scores
            for you.  These scores will be recalculated each time you
            change student scores.

            Note: Tasks with 0 or less total points are ignored by special
            exams.

            For example: at the end of the term, you probably want to add
            up all the task scores in the class.  You can specify a task,
            e.g. #30, as the sum of all the previous tasks (#1 through
            #29).  Task #30 is a special task called a "sum task".  Since
            any of the 10,000 possible task numbers can be either a special
            or regular task, you can, for example, define special tasks as
            the sums of quizzes, tests, and/or homework.

             One limitation for defining special tasks is that they can be
            defined only as tasks acting on other tasks with lower numbers.
            Allowing you to add or sum tasks with the same or higher
            numbers could result in circular definitions that would confuse
            the computer and produce nonsense or variable results.  A
            second limitation applies only to sums of tasks.  The total
            points allowed for a "sum task" (like task #30 above), is
            9,999,999 (less than 10 million points).  The ability to
            specify any task as the sums of others is a very powerful
            feature that should allow great flexibility when you analyze
            student scores.


                                          38









                                                          Defining Tasks

            NOTE:  Tasks can be removed by using the "R" (remove) option on
            this second menu or by redefining the task as a new task.  To
            remove, choose the "R" (Remove) option.  Then choose the task
            number or numbers at the prompt.  Since all student data for
            the task(s) is also removed, you will be asked again to make
            sure that you want to remove the task(s).

            1. Sum tasks

               These are tasks that are the sums of other tasks.  Tasks can
               be summed multiple times.

               Example: Task 5 can be the sum of task 1 + task 1 + task 1.
               This would be the equivalent of multiplying the task by 3.

               Tasks that are not yet entered can be included in the list
               of tasks that will be summed.  When the tasks are then
               defined, they will be included in the sums.

               NOTE: The sums of all the tasks in a Sum task must be less
               than 10 million points.

            2. Averaged tasks

               These are tasks that are the average of other tasks.  Task 5
               can be the average of tasks 1 through 4.  If you use letter
               grades, the averages are reported as scores between the
               highest (e.g. A) and the lowest tasks (e.g., F), but the
               average is shown with numbers, not letters.  Any tasks that
               have not yet been entered are NOT averaged, so the averages
               reflect only those tasks for which the student has had
               scores entered.

            3. Percentage tasks

               These are tasks that average other tasks, then convert the
               scores to percentages of the total points.

               Example:  If task 10 is the percentage of tasks 5 and 6
               (which each have 100 points), the program adds up the scores
               from 5 and 6, then divides the scores by the total points of
               5 and 6 (200 points).  The score is then converted to a
               percent by multiplying by 100.  Hence, the scores range from
               0 to 100 percent.

               Like averaged tasks, any tasks that have not yet been
               entered are not used in the conversions, so the percentages
               reported for the students are for the tasks that have
               already had scores entered.





                                          39










            4. Highest tasks:  Throwing out the lowest scores

               Throwing out low tasks seems to be a popular phenomenon with
               students.  Unfortunately, it is a fairly tedious thing to do
               for instructors.  You can throw out the lowest of a set of
               tasks in VAR Grade.  In the "T" section of the Main Menu,
               option "H" will allow you to define a task that will throw
               out the lowest task(s) of a special task.

               Example: You can throw out the lowest two out of ten tasks.

               Highest tasks discard the lowest one or more scores of a
               sum, average, or percentage tasks ("throw out the lowest of
               several scores").  The special task that is used must have a
               number lower than the highest task.  This is a very common
               grading option that is used in many classrooms.

               For a highest task, the program will find the lowest scores
               of a list of tasks and add up only the highest of those
               scores.  You need to tell the program how many tasks to
               discard (the lowest 1, the lowest 5, etc.).  Scores that are
               unentered are discarded first, then the lowest scores that
               have been entered are discarded.

            5. Weighted tasks

               You can define a task as the sum of other tasks, each times
               a weight.  For example, you can define task 20 as the sum of
               task 10 with a weight of 0.2, task 11 with a weight of 0.3,
               and task 12 with a weight of 0.5.  This will give "true"
               weighting of tasks.  Unentered tasks are given a score of 0
               for the weighting.

            6. Final weighted tasks

               You can define a task as the sum of other tasks that are
               weighted such that the final percentage is what you specify
               as the weight.  This differs from weighted tasks because the
               weights in the final weighted tasks are the relative worth
               you want each task to be in the total score while the
               weighted task weights are the amounts to multiply the scores
               for each exam.

               Example: If you have three exams in your class, each worth
               100 points, and want to weight them 30%, 30%, and 40%, you
               can define task 4 as the final weight of task 1 with a final
               weight of 30, task 2 with a final weight of 30, and task 3
               with a final weight of 40.  Task 4 will have a total of 100
               points.






                                          40









                                                          Defining Tasks

               NOTE: The total points of the Final weighted task will be
               the sum of the weights that you give it.  In the above
               example, the total points of the final weight task will be
               30 + 30 + 40 = 100.

               The calculation for the final weights is done by  taking the
               weights you give for each task and dividing them by the
               total points for each task.  These numbers are then added up
               and multiplied by 100.  For the example above, the students
               scores are calculated as:

                 100 * (((Task #1 score) * 30 / 100) + ((Task #2 score) *
                    30 / 100) + ((Task #3 score) * 40 / 100))

               The parentheses denote calculations that are kept together.
               In the above example, "*" means "multiplied by".


            7. Final task

               You can define a task as a final task.  This task will keep
               track of the letter grades assigned in the "G" option of the
               Main Menu.  These scores are only assigned in the "G"
               option.  If you define a second final task, that one will be
               used to assign scores by the "G" option.  In other words, in
               the "G" option the grades are assigned to the most recently
               defined final task.

            Note: If there are other types of special tasks that you would
            like to have the option of using, send a note to us and explain
            how this type of task would be calculated.  We will try to
            accommodate you.

          C. Scaling Tasks

            In the "G" option of the Main Menu, there is an option that
            lets you add any number of points to a regular task, or
            multiply the scores of any regular task by a number.   Since
            the primary purpose of scaling scores is to adjust the scores
            before giving final grades, further details are given in
            Chapter XI, Assigning and Printing the Final Grades.

          D. Memory Limitations

            Each task that is defined takes up space.  In cases where
            memory is limited, you may find that you cannot define a new
            task.  You may need to delete an old task to be able to add a
            new one.  A second option to increase your memory is by
            removing any TSR (terminate and stay resident) programs like
            "Sidekick" (TM Borland International) from memory BEFORE
            running the program.  A third option is to tell VAR Grade to
            use less memory for overlays (See Chapter V, Section B3,


                                          41










            above).  Version 4.0 of VAR Grade uses very little memory per
            student, so, for example, classes of 30 students with 30 tasks
            or of 90 students and 10 tasks would take up less than 15K of
            memory over and above that used by the program.  If you are
            having memory problems, contact us at the address below for
            possible solutions.

          E. Manipulating Tasks

            Tasks can easily be moved, copied, removed, and so forth.

            1. Copying tasks

               Tasks may by copied to new tasks that have higher task
               numbers.  To do this, go the "T" option of the Main Menu,
               then press "C".

               The definition of the task is copied exactly, even if the
               task is a special task.  The students scores are copied as
               well.  You will be asked for a new name for the task,
               however.

               Example:  If the task to be copied is a number task, the new
               task will have the same total points and student scores as
               the first task.

               Example:  If the task to be copied is defined as the
               percentage of tasks 1 through 3, the new task will also be
               defined as the percentage of tasks 1 through 3.

            2. Transferring tasks

               When tasks are transferred, the student scores are
               transferred but the exam definition is not.  The task to
               transfer to is defined as a number or letter task, depending
               upon the definition of the task to be transferred.  The
               student scores are copied from the first task to the second.

            3. Moving tasks

               You can move one or more tasks.  To move one task, press "M"
               on the Task Type Menu.  To move a group of several
               consecutive tasks, press "G".  When a task is moved, the
               task is renumbered, and all the special tasks that use that
               task are redefined to refer to the new number, as well.
               When you move a group of tasks, you are asked for the first
               and last numbers of the tasks to move.  All the tasks
               between and including those two numbers are moved.  Student
               scores, of course, move along with the task.






                                          42









                                                          Defining Tasks
            4. Clearing student scores

               To redefine all student scores for a task as unentered, use
               the "K" option on the Task Type Menu.  The task remains
               defined the same way as previously.  You can clear only
               regular tasks, as the others are recalculated each time
               scores are entered into the class.

            5. Show task definition

               To help you remember how you have defined tasks, the "V"
               option on the Task Type Menu will list the current
               definition of the task.

            6. Removing tasks

               You can remove one or more tasks from the class.  The "R"
               option on the Task Type Menu asks you for a list of all the
               tasks to remove.  After you specify the tasks to be removed,
               the program will ask you if you really want to remove them.
               If you say "D" (delete), the task and the student scores
               will be deleted from the class.  Using the option with the
               <F1> key to select all tasks will start the class over for
               you.  If you have the same students from one grading period
               to the next, removing all the tasks will start the class
               over for you, while keeping the students in the class.

          F. Examples of Task Definitions

            Example #1: I gave three tests.  The first was worth 100
            points, the second was worth 130 points, and the third was
            worth 211 points.  I want the exams to be worth 25%, 25%, and
            50%, respectively.  Solution: Define the tests as Tasks 1
            through 3, all number tasks.  Define task 4 as a Final Weight
            Task.  For task 4, make task 1 have a weight of 25, task 2 have
            a weight of 25, and task 3 have a weight of 50.  Task 4 will be
            worth 100 points.

            Example #2: For each test, I give two versions to my students.
            Half the students take one version, half the other.  I want to
            keep track of each version separately, yet calculate the final
            averages in the semester for the students in my class.
            Solution: For each test, define three tasks.  The first two are
            the two versions of the tests.  The third one is an Average
            Task, which averages the first two tasks.  The third task will
            be the average of one task that has an entered score and one
            that is unentered, hence equivalent to the entered score (see
            the definition of Average Tasks, above).







                                          43











            Example #3: I give a homework assignment, then give students
            extra credit for turning it in early.  At the end of the
            semester, I discard the lowest homework assignment.  However, I
            don't want the extra credit discarded, just the lowest
            homework.  Solution: When the homework is graded, define the
            homework task, the extra credit task, and a third task, the sum
            of the homework and extra credit.  When you discard the lowest
            homework assignment, use the third task in the definition, not
            the first two tasks.

            Example #4: I want to distinguish between unentered grades and
            excused grades.  How do I do it?  Solution:  The program keeps
            track of the lowest allowed score.  When the program is first
            run, the lowest allowed score is 0.  You can, however, enter
            scores less than 0.  You can always enter scores down to -
            1,000,000.  NOTE:  You can tell the program the lowest score to
            use for statistics in the "G" option on the Main Menu, then "F"
            for fewest. The program, when calculating statistics, assumes
            that scores less than the fewest allowed points are unentered
            scores.  The scores you entered, however, are displayed
            correctly (as scores less than the fewest allowed) when
            printing or entering scores.  Hence, if you enter a -1, it will
            be ignored for the plots, etc., but written as a -1 when you
            print the scores.

            Example #5: I want to assign grades to students halfway through
            the semester.  I then want to assign final grades at the end of
            the semester.  Solution: Define a Final Task at the half way
            point.  Then assign grades in the "G" option of the Main Menu.
            After you have assigned the grades, define a new Final Task.
            The next time you assign grades to a Final Task, the new final
            task will get the new grades, and the first Final Task will
            also remain.

            Example #6: I defined a number task as having 100 points.  I
            entered grades, then decided to redefine it as having 110
            points.  Yet, I do not want to lose the previously entered
            grades.  Solution: When you redefine a task, the program asks
            whether to delete any previous grades.  If you say no, the
            grades will not be changed.  The only exception is if you
            decrease the number of points, and a student has more than that
            number.  The student score will be decreased to the new maximum
            points for the task.











                                          44












                                VIII. ENTERING GRADES



               Grades can be entered into the program in either of two
          ways.  Either the whole class can be listed for a list of tasks,
          the "D" option of the Main Menu, or every grade for an individual
          student can be listed, the "I" option on the Main Menu.

          A. Entering Data for the Whole Class

            The "D" option of the Main Menu lets you enter task data for
            all students in the class.

            1. Moving around the screen

               Students, IDs, sections, and tasks can be listed on the
               screen.  To enter scores, the tasks must have already been
               defined in the "T" option on the Main Menu.  Only number,
               letter, and extra credit tasks can have scores entered.  The
               others are calculated by VAR Grade.

               To change which data is listed on the screen, use the key
               <AltC>.  You will be asked (a) if you want to list the
               students by name, ID, or both; if you pick both, there will
               be one column for each on the screen.  (b) Next, if there is
               more than one section of students in the class, you will be
               asked if you want the sections to be listed.  (c) Next, you
               will be asked if student notes should be listed.  (d)
               Finally, you can pick which tasks are listed on the screen.

               The options you select are saved by the program, so that the
               next time you use the program, the same list is shown.  Any
               time you define a regular task, it will be added to the end
               of the list of tasks.  Only the first characters of the task
               name (how many depends upon the total points for the task),
               as well as its number, are listed at the top of the columns,
               while the student names, and/or IDs, notes, and sections are
               listed on the left.

               A cell is a piece of data.  It can be a task score, a name,
               etc.  To move between cells, use the cursor keys.  The
               cursor keys are the ones on the keypad, including the arrows
               and the home, end, etc. keys.  If you "use" cursor keys,
               then use <Ctrl>-cursor keys to move between cells.
               Otherwise, use the left, right, etc. keys to move between
               the cells.  You can change between "using" and not using
               cursor keys for editing on the "Z" option of the Main Menu
               (See Chapter IV, Section H, above).  If you move past the
               right end of the screen, the tasks are scrolled to the left.
               The student names (or IDs), however, always stay listed on
               the screen.  If there too many students to fit on one

                                          45










               screen, the list will scroll up as you move down the screen.
               The top of the screen lists some special keys.   They are:

               <AltB>    Move to the beginning, left hand column.
               <AltE>    Move to the end column, that furthest right.
               <AltI>    Insert a new student before the student where the
                         cursor is.  If the cursor is at the end of the
                         line, insert the new student after the current
                         one.
               <AltD>    Delete the student where the cursor is.  This
                         immediately deletes the student.
               <AltC>    Change columns (discussed above).
               <AltS>    Save the data to memory.  It is not saved to disk.
                         To do that, use the "S" option on the Main Menu.
               <AltU>    Restore (undo) the data in that cell.  This works
                         only if you have not left the cell.
               <F10>     Delete the data in that cell.

            2. Enter the data

               You can use the cursor keys to move around the class and
               screen.  Unentered scores are left blank.  You can enter the
               new scores in the appropriate places.  To keep the same
               score, type only a <Rtn> or use the cursor keys to move to
               the next cell.

               To enter a new number score, put in a new number between the
               minimum allowed points and the total allowed points of that
               task.  Other numbers are rejected.  The minimum allowed
               points are -1,000,000, while the maximum for any task is
               1,000,000.  You can use decimal points in number scores.  To
               enter a zero, you must type a "0".  Cells for tasks that are
               left blank revert to unentered scores.

               If you are entering letter grades, only letters that are in
               the names of the grades are allowed (e.g., for grades from A
               to F, only the letters A, B, C, D, and F are allowed).

               Press <Esc> or <AltS> to stop entering scores.  With <Esc>,
               the data in the current cell is discarded and you can quit
               without saving any of the changes (except deleting students
               by the <AltD> key), while <AltS> automatically saves it to
               memory, but not to the disk.  You can also alter the student
               name, ID, and section numbers.  To delete a student, delete
               the name (e.g., with <F10>), or use <AltD>.

            3. Hints

               (a) It is helpful to give the tasks names.  The names can be
                 up to 20 characters long.  You can enter scores into any
                 defined task whether or not the task name exists.
                 However, names will help you make sure you are entering
                 scores into the correct task.  When entering data for the


                                          46









                                                         Entering Grades
                 whole class, only the beginning of the task names is
                 listed.

               (b) VAR Grade can be used to add up points on any task.  To
                 use VAR Grade to add up scores for questions on a test,
                 for example, you can define Task 20 as question 1, Task 21
                 as question 2, etc, in the "T" option on the Main Menu.
                 Then, define Task 22 as the Sum of Tasks 20 and 21.
                 Voila!  You can then use the program to add up the points
                 on questions 1 and 2 of the task.  You could then also use
                 VAR Grade to do statistics on each individual question.
                 If you have a large number of questions on the task, this
                 could get a little tedious, as you need to define each
                 question and enter the grades for each task.

          B. Entering Individual Student Data

            The "I" option of the Main Menu lets you enter task data for
            all tasks of individual students.  The program will list all
            the number, letter, and extra credit tasks for one student.
            Use the cursor keys to move around the screen.  You can alter
            any of the tasks, as well as the student names, IDs, or
            sections.  Unentered scores are left blank.  To delete a score,
            make the cell blank (e.g., with the <F10> key).  To keep the
            same score, type only a <Rtn> or use the cursor keys to move to
            the next cell.  To enter a new score, put in a new number
            between the fewest allowed points and the total allowed points.
            To enter scores less than zero, you need to change the fewest
            allowed points in the "G" option on the Main Menu.  The minimum
            allowed points are -1,000,000, while the maximum points are
            1,000,000.  To enter a zero, you must type a "0".  Press <Esc>
            or <AltS> to stop entering scores.  With <Esc>, you can quit
            without saving the changes, while <AltS> automatically records
            the changes.  You can also alter the student names, IDs, and
            section numbers. To delete a student, delete the name (e.g.,
            with <F10>).  The top of the screen lists some special keys.
            They are:

            <AltB>  Move to the first student in the class.
            <AltL>  Move to the last student in the class.
            <AltP>  Move to the previous student.
            <AltN>  Move to the next student.
            <AltI>  Insert a new student before the student where the
                    cursor is.  If the cursor is at the end of the line,
                    insert the new student after the current one.
            <AltD>  Delete the student where the cursor is.  This takes
                    immediate effect.
            <AltF>  Find a student.  You will pick from a list of all the
                    students in the class.
            <AltS>  Save the data to memory.  It is not saved to disk.  To
                    do that, use the "S" option on the Main Menu.




                                          47










          C. Saving Entered Data to Disk

            It is strongly recommended that you save the data you have just
            entered as soon as possible after entering it.  Although the
            program won't let you exit without saving changes, in case of
            power failures or computer failure, you will have a copy on
            disk of your new data.  You save entered data in the "S" option
            on the Main Menu.  You will be asked for the filename to save
            the data to.  The current filename is listed on the line, and
            just pressing <Rtn> will do the trick.  If you want to change
            the name, change it, then press <Rtn>.  If you change the name,
            further updates will be made to the new name.

            WARNING: When you "save" data in the "D" or "I" options of the
            program, you are saving it to memory, not to a disk file.

            NOTE:  The file that contains your student data is normally
            made a "read-only" file.  This means that you cannot delete it
            with the DOS del or erase commands.  You can tell the program
            to write your files "read-only", as "hidden" (the DOS dir
            command will not even list the file), or "normal".  Normal
            files can be deleted in DOS.  The program also makes backup
            files "normal", hence they can easily be deleted.  Details on
            how to change the way the program saves the data are in Chapter
            V, Starting the Program.

            It is also recommended that you keep two copies of your class
            data on disk.  To encourage this practice, another option on
            the Main Menu, "B" (backup), will write the class to another
            directory.  The program will suggest writing the file to either
            drive A or B, so that the data will be on floppy disks.  If you
            are using drive A for your class, the program will suggest
            drive B, otherwise it will suggest writing to drive A.  You
            can, of course, pick any other drive or directory.





















                                          48












                                   IX. ATTENDANCE



               Attendance dates can be defined and attendance entered for
          up to 240 different days.  The attendance is entered by a whole
          class, or by individual students in a manner analogous to those
          for entering data for tasks.  Attendance is found in the "A"
          option of the Main Menu.

          A. Defining Attendance Days

            You define attendance days in the "D" option of the Attendance
            Menu.  There are two methods by which to define a new
            attendance day.  First, to choose the next undefined day, press
            <F1>.   Second, you can type in any number (from 1 to 240) as
            the day you want to define.

            In either case, you need to give the day a name or date.  In
            fact, it is required that you enter a name or date before the
            attendance is defined.  To make it easy to enter dates, the
            function keys <F3> through <F8> can be used to automatically
            enter the dates.  The keys are defined as the following:

            <F3>      The date two days ago.
            <F4>      The date yesterday.
            <F5>      The date today.
            <F6>      The date tomorrow.
            <F7>      The date in two days.
            <F8>      The date any number of days from todays date, up to
                      365 days away.  You need to enter the days.  Example:
                      To enter the date one week earlier, enter a -7.

            The dates that are entered are in whatever format you have
            chosen.  These can be changed in the "Z" option on the Main
            Menu.  With this option you can change how dates will be
            printed on documents as well as how they are entered in
            attendance.

          B. Changing Defaults

            By default, when attendance days are added, the student
            attendance is made "Present".  There are six categories of
            attendance: Present, Excused, Unexcused, Late, Not Entered, and
            Other.  These have the characters " ", "E", "U", "L", "_", and
            "O", respectively.  The default student attendance and the
            characters associated with them can be altered on the "A"
            (Attendance) option of the Main Menu, then "Z".

            The screen will list the current values.  The default new
            student attendance will be highlighted or, if you have a
            monochrome monitor, underlined (unless you've changed the

                                          49










            default colors).  Use the cursor keys (or <Ctrl>-cursor keys)
            to move around the menu.  To select a new default student
            attendance, press <Rtn>.  The new value will now be
            highlighted.  To change the letters for the different types of
            attendance, pick the new key.  To simplify matters, any
            lowercase letters will be converted to uppercase letters.  The
            allowed keys are the uppercase letters and the characters ".",
            "_", "-", and " ".

          C. Entering Class Attendance

            To enter attendance for all students in your class, use the "C"
            option of the Attendance Menu.  This option works like the "D"
            option of the Main Menu for entering task data.

            1. Choose the dates

               Students and days will be listed on the screen.  Just as in
               entering task scores, to change the columns, use the key
               <AltC>.  You can then pick which days to list on the screen,
               as well as whether to list the names, IDs, and sections.
               See Chapter VIII, Section A1 for more details.  The most
               recently defined list of names and days are saved by the
               program.  If you define new attendance days, they will
               automatically be added to the end of the list of days to
               display.  The top of the screen lists valid keys and key
               codes for the attendance.  Next the days are listed by name
               and number.  The names are listed by the first several
               letters of the date.  Student names and/or IDs are on the
               left of each row.  If you have numerous days you want
               displayed, not all of them may fit on the screen at once.
               If you move to the right, more may be displayed.  The names
               or IDs in the leftmost column are always displayed.

            2. Enter the data

               You can use the cursor or <Ctrl>-cursor keys to move around
               the class and screen.  The valid keys are listed at the top
               of the screen.  Only those keys will be accepted.  To delete
               a student, delete the name (e.g., with <F10>), or use
               <AltD>.  To add a new student, type <AltI>.  When quitting
               this section, any changes made to the screen are recorded by
               the program by <AltS>, or possibly by exiting with <Esc>.












                                          50









                                                              Attendance
          D. Entering Individual Student Attendance

               To change attendance for just one student, use the "I"
               option of the Attendance Menu.  The program will list all of
               the currently defined attendance days for a student.  You
               can alter the attendance for any day, as well as the student
               name, ID, or section.   To keep the same attendance, type a
               <Rtn> or use the cursor keys to move to another day.  To
               enter a new attendance value, put in a new letter (from the
               list near the top of the screen).  Press <Esc> to erase the
               data or <AltS> to save it when finished.  To delete a
               student, delete the name (e.g., with <F10>), or use <AltD>.
               To add a new student, type <AltI>.  For more details, see
               Chapter VIII, Section B.









































                                          51












                               X. ANALYZING THE GRADES



               Grades can be analyzed a variety of ways.  These are listed
          in the sections below.  Furthermore, all the statistics and plots
          listed below can be printed on a printer or sent to a disk file.
          Chapter XI, Printing the Grades, explains the printing.  The
          analyses in this chapter are generally from the "G" and "P"
          options of the Main Menu.


          A. Default Values for Analysis

            After you pick several of the options listed below, a screen
            will appear that asks how you want to proceed.  Several options
            will be listed, including: (a) which printer to use; (b) what
            sections to use; (c) whether to print to the screen or to a
            printer or disk file; (d) whether to temporarily drop students
            from the statistical analysis.   Picking a printer and deciding
            where the data should be displayed are discussed in Chapter XI,
            Assigning and Printing the Grades.  The others are discussed
            here.

            1. Sections

               If you have only one section of students in the class, this
               option is not displayed.  Otherwise, the most recently
               selected sections will be listed.  Each time you enter the
               program, the program will default to using all of the
               current sections of the class.  If you change the list of
               sections to use, this new list will become the default
               sections for all parts of the program during the current
               session with the program.  If you choose to use no sections,
               an error message will result and you will exit back to the
               Main Menu as there are no usable data.

            2. Temporarily dropping students

               You can tell the program to temporarily drop students from
               the calculations for statistics and/or plots.  This option
               can be used for students that have incomplete data.  The
               number of students currently ignored are shown on the Print
               Menu screen.  These students are ignored only for
               statistical purposes.  You can still enter data, write
               scores to printers, etc., unless statistical measures are
               needed (e.g., all plots).

               When you need to increase or decrease the numbers of
               students to ignore, two lists of students will be shown: (1)
               all the students in the class, and, (2) those students who
               are temporarily dropped from the statistics calculations.

                                          52









                                                    Analyzing the Grades
               You drop students by using either the cursor keys or by
               typing in the student names.  The <F3> key can be used to
               switch between adding and decreasing the number of students
               to be ignored.  These students will be ignored for any
               further statistics during the current session with the
               program or until they are no longer ignored in this part of
               the program.

            3. Font selection

               You can change fonts from the Plot Menu.  Font files must
               end in "CHR".  You will be asked for the directory for the
               font files.  The program will suggest "*.CHR".  This will
               list all the font files in the DOS PATH.  You can, however,
               change which drive to search by replacing *.CHR with, for
               example: "A:*.CHR".  This will cause the program to search
               drive A for the font files.  WARNING: Some fonts will not
               look good on some video monitors.

               NOTE:  The registered version of the program has more fonts
               available than the shareware version.

            4. 2D versus 3D plots

               Most plots can be done either with bars that look two
               dimensional (2D), or with bars that look three dimensional
               (3D).  The plots are otherwise the same.

          B. Plotting the Scores of a Class

            By selecting the "P" (plot) option on the Main Menu, the scores
            for any of the tasks can be plotted.  The program lists the
            tasks and asks for a task to be plotted.  On the Plot Menu, "P"
            will plot the scores, and "T" will give the same plot with 3-D
            bars.  Plotting the scores follows the sequence below.

            1. Choose a task

               You will see a list of all the tasks.  To see any that are
               not listed on the screen, use the cursor or <Ctrl>-cursor
               keys.  If you pick task zero or <Esc>, the program will exit
               this section without plotting an task.  Otherwise, the task
               will be plotted.

            2. Score ranges

               If you grade with numbers, you must specify the range of
               scores to plot (the high and low scores).  The program will
               ask for these numbers.  If you just type <Rtn> when asked
               for the high and/or low scores, the program will pick the
               highest or lowest score in the class.  If there are no
               students in the range of scores you have chosen, an error
               message will result and no scores will be plotted.


                                          53










               By picking different ranges of scores, you can zoom in on
               various groups of students to see how they have done, rather
               than seeing scores only for the entire class.  One of the
               most useful features of picking the low range is to prevent
               a very low score from skewing the plot.

               Student scores not yet entered or lower than the fewest
               allowed points are not used for the plots.

            3. Defaults

               As discussed above, after picking the task and a range of
               scores, you can pick which sections of students to use and
               where to print the scores.  See Part A of this chapter for
               more details.

            4. Plotting the scores

               The plot separates the scores into up to 25 categories of
               scores.  It also shows the mean, median, and standard
               deviation of the scores for the task (see the section on
               "Calculating Statistics" below for a more complete
               explanation of what these statistics mean).  It plots the
               numbers of students with the various scores.  The statistics
               calculated are only for those scores in the range of scores
               you choose.  If you vary the high or low range of the scores
               used, these statistical measures will change.  On the plot,
               the mean and median are shown with arrows.  At one standard
               deviation above and below the mean are additional arrows
               (listed as "+1", "-1").  If the standard deviations fall
               outside the range of scores plotted, they may not be
               displayed.

            5. Listing the scores

               After the plot is shown, you will be asked if you want to
               see the list of students' scores.  If you decide to see
               them, the program will list the students scores in two
               columns: (a) class order (dependent upon your method of
               sorting students) and (b) by scores on that task, from high
               to low.  The rank order of the students is also printed, if
               you choose that option on the Print Menu (the program
               defaults to printing the ranks).

          C. Plotting the Scores of an Individual

            You can follow how a student is doing in your class by plotting
            the scores for that student on a set of tasks.  By selecting on
            the Plot Menu the "I" for 2D bars, or "B" for 3D bars, you can
            plot trends for scores of any of the class tasks for an
            individual student.




                                          54









                                                    Analyzing the Grades
            1. Picking the tasks

               The program will list the tasks and asks you to pick which
               ones to plot.  You have the option of plotting (a) the
               percentages of each task, (b) the sums (totals) of each
               task, (c) the T-scores, or (d) the standard deviations from
               the mean for each task.

            2. Listing the scores

               The program will then plot the task scores and calculate the
               statistics.  The program assumes that the student trend is a
               straight line: either the scores increase or decrease.  Note
               that this is frequently not the case, hence, these results
               should be interpreted with caution.  The program then
               calculates the best-fitting line for that trend, and plots
               it on the graph.  The correlation coefficient for the tasks,
               and the mean, median and standard deviations are also
               calculated.  These all may or may not be useful for
               understanding how a student is doing in the class.  The
               statistics are listed on the screen after the graph is
               plotted.  If you choose more tasks than fits on one screen,
               you will need to press a key to proceed through all the
               tasks.

          D. Calculating Statistics

            You can calculate statistics without having to plot the scores.
            Rather than plotting each task to calculate the mean, median,
            and standard deviation, you can pick the "G" (grade) option on
            the Main Menu, then pick the "M" option on the Grading Menu.
            You can then see these statistics for any combination of tasks.
            To calculate statistics, you need to choose which tasks to
            calculate statistics, and pick which sections to use.  The data
            will be calculated only for those sections you have told the
            program to use.  This allows comparisons between different
            sections or combinations of sections.  Statistics will not be
            calculated if a task has not been defined or if the task has
            less than the fewest allowed points.

            The median is the score for the person exactly in the middle of
            the class, i.e., exactly half the scores are above that number
            and half are below that number.  The mean is the number
            calculated by adding up all the student scores and dividing by
            the number of students in the class.  If you have a "normal" or
            "bell-shaped" distribution of scores, the mean and median
            should be the same number.  In practice they are usually
            different.  The standard deviation is a measure of how the
            scores are dispersed.  The larger the standard deviation, the
            greater the range in the scores.  A score that is equal to the
            mean plus the standard deviation (called "one standard
            deviation above the mean") is approximately in the top 16% of
            the scores.  For a normal distribution, two thirds of the
            scores should be within one standard deviation of the mean.

                                          55










            How many standard deviations away from the mean a student has
            scored, therefore, is a measure of how the student did on the
            task in relation to everybody else.  You can then compare
            scores between tests by comparing the deviations from the means
            for each student.

          E. Correlating Different Tasks

            By selecting the "C" or "3" options on the Plot Menu, you can
            plot the scores for any of the tasks against the scores for any
            of the other tasks.  This helps you to see if there were any
            problems on one or both of those tasks.  If the tasks are
            measuring different things, the scores will be widely
            scattered.  This may be an indication that one or both of the
            tasks did not measure what you hoped it would.  If the tasks
            are measuring similar abilities, the scores will tend to
            cluster near the diagonal.

            1. 2D or 3D plots

               In contrast to the other plots, the two different plots for
               correlations look quite different.  In the 2D plot, the
               scores are shown as x's.  If two or more x's are on the same
               place, the x becomes thicker.  For the 3D plot, 3D bars are
               plotted.  The more students on a point, the higher the bars.
               To make the plot easier to interpret, it is slightly skewed.
               This makes it easier to tell the difference between tall
               bars and bars at different points on the graph.

            2. Choose the tasks

               You must choose the tasks to plot on each of the axes.  Any
               task can be plotted against any other task.  To help in your
               selection, the program lists the tasks.  If you pick task
               zero for either axis, the program will give an error message
               and ask again.  To exit this section without plotting, type
               an <Esc>.

            3. Pick a range of scores for each task

               If you grade with number grades, for each task that you have
               picked, you must pick the high and low scores to plot.  If
               you just type <Rtn>, the program will pick the highest or
               lowest score in the class (whichever is appropriate).  If no
               students are in the ranges of scores that you pick, no
               scores will be plotted and an error message will result.

            4. Defaults

               As discussed above, after picking the task and range of
               scores, you can pick the sections, decide whether to ignore
               students, and change how to print the scores.  See Part A of
               this chapter (above).


                                          56









                                                    Analyzing the Grades
            5. Correlation plot

               The plot shows a 20 X 20 matrix of the distribution of the
               scores.  The correlation coefficient is calculated and
               shown.  The coefficient ranges from 1.0 (the scores on the
               X-axis predict exactly the scores on the Y-axis) to 0.0 (the
               scores on the two axes are completely random with respect to
               each other) to -1.0 (the low scores on the X-axis predict
               high scores on the Y-axis, and vice versa).  The closer the
               coefficient is to 1.0, the more closely the two tasks
               measured the same parameters or abilities (and hence the
               students scored more nearly the same on both the tasks).  If
               the correlation coefficient is close to 0 or below it, then
               students who did well on one task did poorly on the other.
               If you decide that this result indicates a flaw in one or
               both of the test, the program will allow you to delete one
               or both tasks.  Note: The 3D plot is tilted slightly.  This
               makes it easier to distinguish the different scores.  For
               the 2D plot, two or more scores on the same point will show
               up as a thicker "x", while on the 3D plot, the bars will get
               higher and higher with each score.

          F. Statistical Plots of the Classes

            The last type of plot, the "S" option on the Plot Menu, shows
            plots of the mean, median, and standard deviations for one or
            more tasks.  Furthermore, the "1" option on the Plot Menu will
            show how an individual student scored on those tasks compared
            with the entire class.

            1. Pick the tasks

               The program lists the tasks and asks for which ones you wish
               to plot.  You can choose to plot from one to forty tasks.
               If you want to plot an individual student against the
               scores, you will also be asked for a student record to plot.

            2. Plotting the statistics

               The program will show the range of scores as bars. The mean
               is a wide line all the way horizontally across the bar.  The
               median is a horizontal bar halfway across the bar, with some
               vertical lines in it.  The standard deviation is shown as
               the vertical line, extending one standard deviation above
               and below the mean.  At one standard deviation above and
               below the mean are horizontal lines extending halfway across
               the bar.  If you are plotting the scores of a student as
               well, that student's scores are shown as arrows.  The tip of
               the arrow is the position of the student's score.  If you
               plot tasks that have a wide range of scores, some or all of
               these measures may end up compressed.  The range of scores
               that are plotted are from the lowest to the highest obtained
               scores.  The Y axis may extend down to 0 points, however,
               even if no scores are that low.  The widths of the bars

                                          57










               changes depending upon how many tasks are plotted; the more
               tasks, the narrower the bars.  The X-axis shows the numbers
               of the tasks that were plotted.

          G. Scaling the Tasks

            If you grade using number grades, you can scale the regular
            tasks differently. Pick the "G" (grade) option of the Main
            Menu, then the "S" (scale) option in the Grading Menu.  You may
            add any number of points to an task, or multiply the task by
            any positive number. The total points for the task, after the
            scaling, must be less than or equal to one million and greater
            than or equal to the lowest allowed score.  Point totals less
            than the allowed scores are summed as the lowest allowed score,
            while scores greater than the total task points are set at the
            total points.  Students with scores that have not been entered
            are not changed (the score is still undefined).  This part of
            the program allows you to conveniently change point totals for
            any task.  It also allows you to add points to one section and
            not to others, as the scaling occurs only for those sections
            you choose.  You cannot scale special tasks.  The total points
            for the task, after scaling, will not change.  If desired, you
            can readjust the total points manually in the "T" section of
            the Main Menu either before or after scaling the task.

          H. Setting the Fewest Allowed Points.

            When the program starts, the fewest points that a student can
            have on a task is 0 points.  If you want to enter scores less
            than 0, you can set the fewest allowed points to be less than
            zero.  On the "G" option of the Main Menu, the "F" option
            allows this.  You can reset the number to as few as -1,000,000
            points.  Even though the fewest allowed points may be 0 (or any
            other number), you can still put in scores less than the fewest
            allowed points.  Students with scores less than the fewest
            allowed points will be ignored for statistical tests, and are
            considered to be equivalent to unentered scores.  The
            difference from unentered scores is that the numbers you enter
            will be printed if you print the scores, whereas unentered
            scores will be blank.

          I. Assigning Standard Deviations and T-Scores

            Standard deviations and T-scores tell you how a student did in
            relation to the other students in the class.  You can calculate
            the standard deviations and/or T-scores of a task for the
            class, and assign these numbers to a number task.  Go to the
            "G" option on the Main Menu.  On the Grading Menu, press "V"
            for standard deviations, or "T" for T-scores.

            You will be asked which task to use for the calculations, and
            to which task to assign the new scores.  WARNING: The new task
            will be redefined as a number task.  If you assign standard
            deviations and T-scores, approximately half of the scores will

                                          58









                                                    Analyzing the Grades
            be below zero.  Make sure that you change the fewest allowed
            points to a number below the lowest standard deviation or T-
            score (see Section H, above).

          J. Adjusting the Statistics of a Task

            In unusual circumstances, you may want to manually adjust the
            mean, median, and standard deviation of a task.  The "A" option
            on the Grading Menu lets you do this.  The "D" option lets you
            remove those adjustments.  One reason you might want to do this
            is to "freeze" the current numbers.  Make-up exams or late
            homework assignments will continually change the statistics on
            a task.  Adjusting the statistics after the grades have been
            assigned on a task to the current value will stop these values
            from changing.

            To adjust the statistics, you need to pick the task to use.
            The current values are then displayed.  You can change one or
            more of these values to any numbers you want.  These numbers
            are then used by all the other parts of the program that
            calculate these values.  To return to the true values, use the
            "D" option on the Grading Menu.

          K. Changing the Grading Names

            VAR Grade can use just about any grading system you want.  The
            program defaults to the grading system commonly used in the
            United States:  A through F, with + and - scores.  However, you
            can define any grading system that has up to 12 grades (plus a
            "unentered" or "incomplete" grade).  Each grade can have a name
            of up to two characters long.  The grading system can have the
            highest grade as the highest score, or the highest grade as
            having the lowest score.  Furthermore, you can assign point
            totals to the grades.

            To change the grading system, go to the "G" option on the Main
            Menu.  Choose the "N" option on the Grading Menu.  Next, you
            will be asked whether to use one of a few pre-defined grading
            systems, or to define your own system.

            If you define your own grading system, you will be asked to
            enter the grade names, then the point totals for the grades.
            These point totals are the values for the grades, not the
            scores that are needed to obtain the grade (see Section L to do
            this).  Grade names and point totals can be changed at any
            time.  The program converts all letter grades to numbers and
            stores the numbers.

            WARNING: If you change the grading system after assigning
            letter grades, the new numbers may translate into a different
            grade than you want.




                                          59










          L. Picking Automatic Grade Cutoffs

            If you always use the same grading system, you may want to set
            the grading system in the "C" option of the Grading Menu.  For
            instance, you can tell the program that 90% is an A, 80% is a
            B, etc.  Alternatively, you can tell the program that 90 points
            is an A, 80 points a B, etc.  When you assign grades, VAR Grade
            will use these values, either as percentages or points, as the
            point system to use when assigning grades.  You can change the
            grading system at any time.  To remove the cutoff points needed
            for various grades assigned in the "C" option, use the "R"
            (remove) option of the Grading Menu.  The program will again
            ask you for the lowest scores for each grade every time you
            assign grades in the "G" option of the Main Menu.









































                                          60












                XI. ASSIGNING AND PRINTING THE GRADES AND ATTENDANCE



            You can print out the grades and attendance of a class by three
            methods:

            1. Plot the scores of a task.  The program will list the
               student scores for that task in numerical order and in
               sorted order (see Chapter X, Analyzing the Grades).
            2. Print grades or attendance for any combination of tasks and
               sections or names with the "W" (write) option on the Main
               Menu--discussed below.
            3. Assign and print the grades with the "G" (grade) option on
               the Main Menu. This method is also discussed below.

          A. Default Values for Analysis

            After picking several of the options listed below, a menu will
            appear that asks how you want to proceed.  This is the Print
            Menu.  Listed on the menu will be several options, including:
            (a) which printer to use; (b) what sections to use; (c) whether
            to print to the screen or to a printer or disk file.  The
            options listed will vary in different parts of the program.
            Some of the options are listed above, in Chapter X, Analyzing
            the Grades.

            1. Choosing a printer

               When you install the program, you are asked which printer
               you will be using.  If you want to change which printer will
               be used or how to print (single or double spacing; pica or
               elite; etc.), press "Q" on the Print Menu to get to the
               Printer Menu.  The Printer Menu can also be reached in the
               "Z" option of the Main Menu.

               (a) Installation of a printer

                 To install a new printer, press "P" on the Printer Menu.
                 The program, INSTALLP must be on a disk or directory that
                 the program can find, and there must be enough memory to
                 run the program INSTALLP.  It will list all the currently
                 supported printers.  Use the cursor keys to locate the
                 printer(s) that you wish to install.  When you find each
                 one, press the space bar.  After you have picked up to 5
                 different printers, press the <F10> key to install the
                 printers.  To quit before installing the printers, press
                 <F3>.  This will install the Graphics printer codes.  If
                 yours is not listed, your printer manual should list the
                 printer(s) that it emulates.  Note: The list of supported
                 printers will be continually updated.  If yours is not


                                          61










                 supported with the version that you have, an update may be
                 available that will explicitly support your printer.

                 When you install the printers, the program will change the
                 file GRADE.PDT.  For many of the printers, the Line
                 printer codes will also be installed.  For most, however,
                 you also need to tell the program which printer codes to
                 use.  Pick the "L" option on the Printer Menu.  Listed
                 will be several different printers that are frequently
                 emulated.  Most printers emulate the Epson FX-80 printer.
                 If yours does, pick that.  If not, it may emulate one of
                 the other printers listed below.  Some printer
                 manufacturers and the printers they usually emulate is
                 listed below.  If your printer is not listed, or if you
                 want to change the printer codes for your printer, use the
                 "U" option on the Printer Menu to put in the printer
                 codes.

                 Line Printer Def.      Printers Supported

                 Epson FX-80            Most Epson printers, including the
                                        EX, FX, MX, and RX series.  Also,
                                        many printers from Brother,
                                        Citizen, and others.
                 IBM Graphics Printer   IBM dot matrix, Okidata with IBM
                                        emulation, Star Micronics, and
                                        others.
                 HP Laser Jet           HP LaserJet, Plus, Series II,
                                        DeskJet, PaintJet, and most laser
                                        printers.
                 NEC P-2200             Most NEC printers.
                 Okidata 92             Okidata 84, 92, 93, 192, 193, 292,
                                        and others.

               (b) Changing the line printer codes

                 To change the printer codes, press "U" on the Printer
                 Menu.  Listed will be the current printer codes.  To
                 change them, use the cursor keys to move to the code that
                 you want, then press the correct codes.  Your printer
                 manual will list the codes needed to use pica, elite, etc.
                 printing.  NOTE: Some of the keys work differently in this
                 part of the program, as you need to be able to enter any
                 possible printer code.  To enter escape (#27), press the
                 <Esc> key.  The backspace key will enter <CtrlH> (#8).
                 The enter or <Rtn> key will enter <CtrlM> (#13).  To enter
                 codes below 32 or above 127, hold down the <Alt> key, then
                 use the keys on the numeric keypad to enter the number.
                 You can enter up to 10 characters for each of the codes.
                 To backspace (remove the previous character), use the <F2>
                 key.  After you exit with <AltS>, the new codes will be in
                 effect.  Pressing <AltE> will switch between listing the
                 codes as hex numbers or as text.


                                          62









                                                     Printing the Grades
               (c) Changing the graphic printer codes

                 If your printer is not supported, or if the printer codes
                 that are used by the program are not producing the results
                 that you want, the program BDE (Baby Driver Editor) can be
                 used to change the codes.  BDE is available to registered
                 users, only.

               (d) Printer errors

                 If there are problems with your printer (not turned on,
                 out of paper, etc.), the program will put out an error
                 message.  Sometimes the error message may mistakenly state
                 that the error is a "disk" error instead of a printer
                 error.  In either case, try to correct the error before
                 telling the program to continue.  If the error is not
                 correctable, output to the printer will stop.  In most
                 cases, the printing is just turned off.

               (e) Changing installed printers

                 After you choose your printer, the choice is written to a
                 file called "GRADE.PRT".  This file also contains the
                 various line printer codes, and is written to the current
                 directory.  To change the printer, go to the Printer Menu,
                 then select the number of the printer you want to use.  If
                 the printer is not listed, it is not installed, and must
                 be installed before it can be chosen.

                 If you have your classes each in different directories,
                 you can have each class set up to print differently.  The
                 program searches for the GRADE.PRT file in the current
                 directory first, then searches for the file in the
                 directory where the program is located,  then, if still
                 not found, searches for the file in a directory specified
                 by the DOS PATH command.

               (f) Changing the printer ports

                 The program assumes that you are using the first parallel
                 printer port, called LPT1 (also called LST or PRN).  To
                 change this, you can pick either of several parallel or
                 serial ports as the destination of the printing.  No
                 checking is done for the port, so if the port you choose
                 does not exist, you will not be able to print data.

            2. Print options

               The "Z" option of the Printer Menu lets you change how the
               page is output to a printer or disk file.





                                          63










               (a) Line Spacing

                 Single, double, and even greater spacing of lines can be
                 printed.  Changes from single line spacing occur when
                 output is sent to a disk or the printer, never on the
                 screen.  Also note that the plots are always single
                 spaced.

               (b) Margins

                 You can set up the left, right, top, and bottom margins of
                 the pages.  The left margin is the number of characters to
                 leave blank on the left side of the page.  The right
                 margin is set indirectly:  you specify the number of
                 characters on a line.  If you decrease the number of
                 characters, the line is shorter, hence you have a larger
                 right margin.  The header and footer set the lines at the
                 top and bottom of the page. The page numbers are written
                 in the footer, while the running head on the top right of
                 the page is written in the header.  Setting either to 0
                 will prevent them from being written.  You can also stop
                 page numbers from being written by telling the program to
                 stop printing page numbers.  Lastly, you can specify the
                 number of lines on a page.  A typical 8 1/2" by 11" page
                 in pica mode has 80 characters on a line and 66 lines.
                 Elite has 96 characters and 88 lines, while compressed has
                 136 characters and 110 lines.

                 This flexibility also can cause problems.  If you have set
                 the number of characters to a very small number, you can
                 truncate some of the data sent to the printer.  If only
                 the left part of the graph has been written, check the
                 margins that you have set to see if that is the problem.
                 If the program doesn't break the pages in the correct
                 place, try increasing or decreasing the lines on a page.

               (c) Listing ranks

                 You can have VAR Grade print out the rank of each student
                 when listing the students in the class.  This option can
                 be turned on or off in the Print Menu.  Student ranks will
                 be listed by whatever sorting method you have chosen (see
                 Chapter VI, Section E, above).  For example, if you have
                 sorted the class by student names, the ranks printed will
                 be the alphabetical order of the class.  If you sort by
                 the score on an task, the ranks will be by the score on
                 that task.  Note that if you sort the class without regard
                 to sections, then print them by sections, the numbers will
                 not necessarily be consecutive for each student in each
                 section.





                                          64









                                                     Printing the Grades
               (d) Printing Notes

                 You often enter notes that you do not want printed out.
                 VAR Grade, therefore, will print the notes only if you
                 tell it to.  You can toggle (switch on and off) whether to
                 show the notes.  If the toggle is on (the notes will be
                 shown), when data is printed, the notes will also be
                 printed.  NOTE: When printing final grades from the "G"
                 option of the Main Menu, the notes may not all fit onto
                 the lines when printing both the student ID and names and
                 may be truncated.

                 To print out notes that you have entered into the student
                 records, you need to tell the program to "show" the notes.
                 Pressing "T" on the Write Data Menu will let you indicate
                 whether to show the notes.  You can also indicate whether
                 to show the notes in the Print Menu that is always seen
                 before you print your data.  For those parts of the
                 program where you can print notes, there is an option on
                 the Print Menu that lets you toggle whether to show the
                 notes.

            3. Disk files

               When you print files to disk, they are printed as ASCII
               files.  This means that you can then use a word processor to
               alter them in any way that you want, or use the word
               processor to print the files.  If you pick the "D" (print to
               disk) option, you will be asked the name of the file.
               Pressing <Esc> or <Rtn> will cause the default disk file
               listed to be written; typing "none" will turn off the
               printing to a disk file.  In case of a syntax error in the
               file name, the program will ask for a new name.  The program
               checks to see whether there is enough space on your disk and
               to see if a file with that name already exists.  If there is
               not enough space on the disk, the program will stop sending
               files to the disk.  If you are printing a graph or plot, the
               program will write the plots to a file with the same
               filename, but the extension (the part after the period),
               will be changed.  NOTE: The plots are not written in ASCII
               letters, but will be written for whichever printer you
               specify.  These can be printed from disk to your printer by
               typing "COPY file.ext PRN".  Each type of plot has a
               different letter in the extension (the first letter of the
               suggested extension), with a number from 00 to 99 after it.
               For example, printing a plot to a disk file for the class
               GSAMPLE will produce a file "GSAMPLE.P00".  If that file
               already exists, it would be written to "GSAMPLE.P01", etc.
               The disk file that you specify will contain a line in it
               telling you the name of the file for the plot.





                                          65










            4. Class name

                 In addition, in the "Z" option of the Main Menu, there is
                 an option that will let you rename the class with up to 15
                 characters.  This rename is for printing purposes only,
                 and will not change the file name of the class.  When VAR
                 Grade prints data to a printer or disk file, it also
                 prints the name of the class.  Renaming the class will
                 override the default name (which is the one used when
                 starting the program).

                 Example:  The class is called "BIO" when you tell VAR
                 Grade to use it.  The default name for printing would be
                 "BIO".  You can change it to anything else, e.g. "Biology
                 100", for printing purposes, but the file name(s) will
                 still be BIO (plus the extensions ".PAR" and ".DAT").

          B. Printing the Student Scores and Attendance

            If you want to print out a list of the students and their task
            scores, select the Main Menu choice "W" (write).   This is the
            Write Data Menu.  You can print out all the task scores or
            attendance for one student ("by name") or for whole sections of
            students ("by section"); you can print a grid for entering
            scores; or, you can export data in formats that can be read by
            other programs.

            1. By name

               After you select this option, you will see a list of
               students in the class.  If there are more students than fit
               on one screen, you can use the cursor keys to locate the
               desired student.  The highlighted name can be chosen by
               typing <Rtn>.  You can also pick a name by typing it in at
               the prompt, but you must spell the name as the name appears
               in the program (in upper and/or lower case letters).  If you
               type in the name, and there is more than one section of
               students in the class, you must enter the section number for
               the student (or <F1> to search for the section--note that
               the program will find only the first occurrence of the
               name).  If you use attendance in your class, you also need
               to choose whether you want to write attendance, tasks
               scores, or task scores and a summary of attendance.  The
               program first lists the name of the student, the ID, the
               section, and the date the data was printed (i.e., the
               current date).  It will then list all the defined tasks by
               number and name as well as the scores for the student, the
               total points for the task, and the percentage of the total
               points for the student score.  If you grade with letter
               grades, the total points and percentages are not listed,
               since they are meaningless.  If no score was entered for the
               student, it is listed as "not entered".  For attendance, VAR
               Grade will list all the dates and attendance.  For the
               attendance summary, a list of the totals for each attendance

                                          66









                                                     Printing the Grades
               category will be printed.  If you list the scores to a
               printer or to a disk file, VAR Grade will break the listing
               into pages.  You can change such things as margins, type
               styles, etc. before you print the class from the Print Menu
               (see above).

            2. By section

               If you select this option, you must pick the tasks or
               attendance days to print, ending the input with a <Rtn>,
               followed by a second <Rtn> (with no other characters) or "0"
               <Rtn>.  This tells the program that you are finished putting
               in task or attendance numbers.  NOTE:  If there are too many
               tasks or attendance days to print on one screen, the program
               will print out as many as fits across the page for a whole
               section, then more, etc., until all tasks and students have
               been printed.  After specifying what to print, you reach the
               Print Menu.  If the wrong section, printer, or other options
               are listed, change them before specifying where to print the
               data.  If you are printing the student notes, they will be
               printed after any tasks that you have chosen.  We always
               recommend that you print the scores on your printer
               immediately after entering task scores, just in case there
               is a computer or disk malfunction.  If you print the scores
               on your printer, using elite type and single spacing will
               allow more scores to be printed per page than pica printing.
               As mentioned above, you can set margins, page lengths,
               characters per line, etc. from the Printer Menu.  Although
               you may have entered scores using several decimal places,
               they may be printed using only one or even no places to the
               right of the decimal, depending upon how many points the
               task is worth.  NOTE: The program keeps grades using 15
               significant digits, but may not print that many.  When
               printed to the printer, page lengths are calculated and the
               printing formatted accordingly.  The date is also printed so
               that you know when you last printed your class data.

            3. Printing grids

               For entering student data, it is often useful to list the
               students with a blank grid.  You can then use it to record
               the grades.  The grid can make it easier to enter the
               student grades into the computer.  The program will just
               list all the students in the class and empty boxes (grids)
               for entering student data.

          C. Calculating and Printing Grades

            To calculate and print grades on a task (or final grades) use
            the "G" (grade) option on the Main Menu, then "G", "P", or "3"
            on the Grading Menu.




                                          67










            1. Choose a task

               First, pick which task to grade.  The program lists all the
               valid tasks.  If there are more tasks than can be listed on
               one screen, use the cursor keys to see more tasks.  Task 0
               or <Esc> is interpreted as no task (exit).  Only non-letter
               grades can be picked (the others already have the grades
               assigned).

            2. Defaults

               As discussed above, after picking the task and range of
               scores, you can pick the sections and how to print the
               scores.

            3. Plot and cutoffs

               If you selected the "P" or "3" options on the Grading Menu,
               all the scores for the sections specified will be plotted;
               otherwise, the "G" option skips the plotting.  You then must
               select the LOW cutoffs for each grade (unless you have
               already set the cutoffs in the "C" option of the Grading
               Menu).  Depending upon your grading system, up to 11 cutoffs
               need to be entered.  If you just press enter for a cutoff,
               the program will select the same cutoff as the previous
               cutoff (hence nobody will receive that particular grade, and
               the totals for that grade will not be listed at the end of
               the class).  You can use <F2> to backup one or more grades.

            4. Listing the grades

               The program will list the total points (or averages) and
               grades, by section, for the selected task.  A table of
               numbers of students with each grade and the cutoffs are then
               listed.  The program will ask whether these grades are
               acceptable.  If you choose no ("N"), the plot and cutoffs
               will continue to be repeated, with new cutoffs, until you
               say they are acceptable ("Y").  When the data is printed
               out, the classname, section, task, and date are also
               printed.  If you have defined a task as a final task, the
               program will save the grades for the students on that task.
               Grades are always assigned to the most recently defined
               final task. Otherwise, it does not store these grades and
               cutoffs anywhere in the program.  If you print notes, they
               will be listed on the right hand side of the page.  WARNING:
               If you are printing with both names and IDs, the notes may
               be truncated.








                                          68









                                                     Printing the Grades
          D. Exporting Data

            You can export data from a VAR Grade class in three different
            formats.  Other programs can then read the data.  For all three
            methods of export, you can specify whether to write names, IDs,
            and sections, as well as any combination of tasks.  If you want
            student notes to be written, make sure that the you have you
            have told the program to show the notes (i.e., set the toggle)
            before you export the data.

            1. Comma and quote file

               A quote and comma file is an ASCII file where strings
               (names) are enclosed in double quotes (""), while numbers
               are not.  Cells of data are separated by commas.  Many
               spreadsheets can import this type of file.  Each cell get
               imported into one cell in a spreadsheet.  Each line in the
               file ends up as one line in the spreadsheet.

            2. Flat file

               A flat file is an ASCII file where data is separated into
               columns.  The columns are separated by spaces.  Many
               spreadsheets can import data in this format.

            3. Byte file

               This type of file is not an ASCII file.  It is included
               either as a last resort, so you can write your own
               converter, or to work with report card programs that may be
               on the market.  The names are written with 20 characters,
               then the IDs with 15 characters, student notes with 20
               characters, sections as 2-byte cardinal numbers, and tasks
               as 2-byte letter grades for letter and final tasks or 8-byte
               floating point numbers for all other tasks (1 sign bit, 11
               exponent bits, and 52 bits for the significand).  If
               specified, the order is: name, ID, notes, section (written
               if there is more than 1 section in the class, otherwise not
               written), then the list of tasks, in the order you chose.
















                                          69












                             XII. OTHER PROGRAM FEATURES




          A. Running Other Programs from VAR Grade

            If necessary, you can use the "R" option on the Main Menu to
            run other programs from VAR Grade. This feature was put into
            the program to allow you to delete files or format disks
            without exiting the program.  These may be necessary if you run
            out of disk space before writing data to a disk file.  With
            this option, however, you can run any program, if you have
            enough memory.   To remind you that you are still in VAR Grade,
            the prompt will be preceded by a message:  "To return to VAR
            Grade, type EXIT."  You should be warned that certain programs
            may cause problems.  The major problems can come from programs
            that are memory resident or that will (inadvertently) stall
            ("hang") the computer.  Because there is no reasonable way for
            VAR Grade to prevent you from running these types of programs,
            it is advised that you save your data before running programs
            other than those of the DOS operating system (del, format, dir,
            etc.).

          B. Dates

            You can redefine the method of writing the date.  You can
            define dates a variety of ways, including American, Japanese,
            and European style dates.  This can be found on the "Z" option
            of the Main Menu.  These dates are used for writing data.  It
            is also used in defining attendance days.

          C. Video Displays

            VAR Grade supports all standard displays.  There are some
            points below that may help you.

            1. Monochrome displays

               Some monochrome display adapters tell programs that they are
               color boards.  This causes the program to write data to the
               screen that looks funny or unreadable.  If you have a
               monochrome board and the opening screen has a lot of
               underlined characters, there are two things you can do to
               improve the display.

               (a) Start the program with a switch

                 Instead of starting the program with "GRADE", start it
                 with "GRADE/B".  The /B is a switch that tells the program
                 that you have a black and white display.  This has to be
                 done each time you run the program.

                                          70









                                                  Other Program Features
               (b) Set a DOS environment variable

                 Rather than typing /B all the time, you can set a DOS
                 variable, instead.  Before running the program, type "SET
                 VMON=BW;".  This tells the program that you have a black
                 and white display.  The best thing would be for you to set
                 this variable in the AUTOEXEC.BAT file that DOS reads when
                 booting the computer.

                 Example:  You can do this by typing, at the DOS prompt,
                 "COPY CON AUTOEXEC.BAT" then <Rtn>.  Then type "SET
                 VMON=BW;", then <CtrlZ>.  This will add one line to your
                 AUTOEXEC.BAT file.

                 Alternatively, set up a batch file that starts VAR Grade:

                 Example: Prepare a file called G.BAT the has the following
                 lines:

                    SET VMON=BW;
                    GRADE
                    SET VMON=;

                 This will set the variable, run the program, then remove
                 it from the environment.  Some suggested batch files for
                 use with VAR Grade are given later in this chapter.

            2. EGA and VGA

               If you have EGA or VGA, you can display 43 or 50 lines,
               respectively, on the screen.  Go to the "Z" option of the
               Main Menu, then pick "V".   You can pick whether to show 25
               or more lines.

            3. Video 7

               If you have a Video 7 VGA or VGA+ video adapter board, and
               wish to have more lines or characters on a line, you can set
               a DOS variable to allow the program to change the display.
               You can have up to 132 characters per line and up to 60
               lines per screen.  Type the following line, or put it in
               your AUTOEXEC.BAT file: "SET VMON=VIDEO7;".  If you have a
               Video 7 board and black-and-white monitor, add the line:
               "SET VMON=VIDEO7;BW;".  If the screen looks funny after
               changing the display, your board will not go into the mode
               you chose.  You need to set the display back to one that
               your board is capable of using.

          D. Mouse Support

            All mice that are Microsoft or Logitech compatible are now
            supported.  For all mice, the right button is equivalent to
            pressing <Esc> (exit this part of the program).  The left
            button is equivalent to pressing <Rtn> (select this).  For 3-

                                          71










            button mice (Logitech), the middle button is equivalent to
            pressing <F10> (delete the current entry or word).  If you move
            the mouse, this is equivalent to pressing the cursor keys with
            the arrows (up, down, left, and right).

          E. Examples of VAR Grade Batch Files

            If you are familiar with MS-DOS, the following are examples of
            how to set up batch files to do what you want with VAR Grade.
            For all the examples, it is assumed that you are using MS-DOS
            3.0 or later, and that the program is in the directory
            C:\VARGRADE.  Classname is a name of any valid VAR Grade class.

            Preparing Batch files:

               The easiest way to prepare the following files is to use a
               word processor that will write the data to disk files in
               ASCII format.

               To prepare the batch files from MS-DOS, type the following
               (A> is the DOS prompt, the material between the [], below,
               tells you what to do):

                    A> COPY CON batchfilename<Rtn>
                    [type in one of the batch files listed below]
                    <CtrlZ>  [simultaneously press the <Ctrl> key and "Z"]
                    A>

            GR.BAT:  Batch file to run VAR Grade from any directory.  Put
               it in your directory where DOS is, or in one specified by
               the PATH command.  Start it from DOS by typing "GR
               Classname".

               @ECHO OFF
               @REM CALL WITH "GR Classname"
               IF %1Z == Z GOTO ERR
               SET LASTPATH=%PATH%
               SET PATH=C:\VARGRADE;%PATH%
               C:\VARGRADE\GRADE %1
               SET PATH=%LASTPATH%
               GOTO END
               :ERR
               ECHO ERROR! RUN GR WITH:  "GR Classname"
               :END

            You may want to add parts of some of the following batch files
            to GR.BAT to fit your needs.

               GM.BAT: Batch file if you have a monochrome monitor.  Put it
                 in your directory where DOS is, or in one specified by the
                 PATH command.  Start it from DOS by typing "GM Classname".

                 SET VMON=BW;
                 C:\VARGRADE\GRADE %1

                                          72









                                                  Other Program Features

               GMin.BAT: Batch file to reduce the memory used by VAR Grade.
                 Put it in your directory where DOS is, or in one specified
                 by the PATH command.  Start it from DOS by typing "GMin
                 Classname".

                 SET OMEM=0;
                 C:\VARGRADE\GRADE %1

               GMax.BAT:  Batch file to increase the memory used by VAR
                 Grade, thereby reducing the disk accesses, and increasing
                 the speed of parts of the program.  Put it in your
                 directory where DOS is, or in one specified by the PATH
                 command.  Start it from DOS by typing "GMem Classname".

                 SET OMEM=150000;
                 C:\VARGRADE\GRADE %1






































                                          73












                                   XIII. APPENDIX




          A. Program Parameters--Defaults and Limits

            The default values are those that are there when the program
            starts.

            Parameter                      Default         Maximum

            Students                             0           16000
            Sections                             1              99
            Tasks (total)                        0            8000
            Total points for a number task       0         1000000
            Total points per sum task            0         9999999
            Attendance Days                      0             240
            Backups made                       Yes               -
            Password used                       No               -

            Printing--default values (modifiable):

            Lines per page                      64           30000
            Characters per line                 80             255
            Type size                         Pica
            Type quality                     Draft
            Line spacing                    Single
            Left margin                          0
            Lines in header                      5
            Lines in the footer                  5
            Page numbers printed               Yes

          B. Backup Files


            1. Preventing Data Loss

               It is very important to prevent data from being lost.  There
               are several things that the program does to prevent this
               loss.

               1. You cannot exit the program without telling it whether
                 you want your data saved.

               2. You cannot accidentally exit the program (e.g. disk drive
                 door open, printer not turned on), except from a power
                 failure or by rebooting the computer.





                                          74









                                                                Appendix
               3. Files are written in read-only format by default.  You
                 cannot delete or erase these files in DOS.  The default
                 can be changed to "normal" (if you do not fear deleting
                 your class grades), or "hidden".

               4. When files are written to disk, the program checks to
                 make sure the files were written with the correct size
                 (hence were probably correctly written).

               5. When files are written to disk, the previous class data
                 is turned into backup files.  The file CLASSNAME.PAR is
                 changed to CLASSNAME.PAX.  The file CLASSNAME.DAT is
                 changed to CLASSNAME.DAX.  These backup files are not
                 read-only, and can be deleted by DOS.  Should you want to
                 delete old class files, use the DOS 3.x command Attrib to
                 change the file attribute to "normal", then delete the
                 file.

                 Example, type:

                    A> ATTRIB -RH CLASSNAME.*
                    A> DEL CLASSNAME.*

                 You can tell the program to stop making backup files, but
                 we recommend that you do this only if disk space is at a
                 premium.

               6. If a fatal error occurs during program execution, VAR
                 Grade will try to save any new data put into the program.
                 Its success depends upon the nature of the fatal error.  A
                 fatal error is one that prevents the program from
                 executing correctly.  Although great care has been taken
                 to prevent such errors, they may still occur.  Therefore,
                 it is suggested that you immediately save your data to
                 disk when you have entered new data.  It is also
                 recommended that you also print the data on your printer
                 to have another copy of it.

            2. Recovering Old Data

               To recover the information in the backup files, you must
               first exit VAR Grade.  When in DOS, rename them so that the
               file that ends in ".PAX" ends in ".PAR" and the file that
               ends in ".DAX" ends in ".DAT".  Both files must have the
               same classname.  At the MS-DOS prompts (A>), type:

                    A>  RENAME ACLASS.PAX ACLASS2.PAR
                    A>  RENAME ACLASS.DAX ACLASS2.DAT

               ACLASS2 will have the data from the PREVIOUS update of the
               data--NOT the most recent update.




                                          75










          C. Beeps or Noises

            If the computer beeps or makes a noise, the memory may be quite
            low, so that the information in a screen window could not be
            saved.  When the current window is finished, it probably will
            not be able to redraw the underlying window correctly.
            Pressing <AltR> will usually redraw the screen.  The program
            should run correctly when memory is low; however, not all
            students, tasks, or attendance days may be listed when memory
            is low.  If you get one beep, more will probably occur due to
            the limited memory.  Since memory is low, you should probably
            exit the program, free up some memory, and then re-run VAR
            Grade.

            One way to free up memory is by setting a MS-DOS variable
            OMEM=0, then reentering the program.

            Example:  At the DOS prompt (A>), type:

               A> SET OMEM=0;



































                                          76









                                                                Appendix
          D. Menus

            The following is a list of the major Menus in VAR Grade.  They
            are arranged in a hierarchy, so an indent is one menu down in
            the hierarchy.

            Main Menu                          Main Menu (continued)
               Add Names Menu                     Grading Menu
                 Type in names                      Assign grades
                 Type in names and IDs              Plot and assign grades
                 Import flat files                  Plot with 3D bars and
                 Import flat files                  assign grades
                 automatically                      Scale tasks
                 Import comma and quote             Assign T-scores
                 files                              Assign standard
               Individual Task Form                 deviations
               Student Task Form                    Change grade names
               Task Type Menu                       Assign cutoffs
               Attendance Menu                      Remove cutoffs
                 Student Attendance Form            Adjust statistics for a
                 Individual Attendance              task
                 Form                               Delete adjustments of
                 Define new attendance              statistics
                 dates                              Set the fewest allowed
                 Attendance defaults                points
               Save class data                    Help
               Backup class data                  Manual
               Write Data Menu                    Parameters Menu
                 View by section                    Time and dates
                    Print by section                Video display lines
                 View by name                       Color
                    Print by name                   File protection
                 Print grids                        Backups
                 Export quote and comma             Passwords
                 file                               Edit keys
                 Export flat file                   Class name
                 Export byte file                   Printer Menu
               Plot Menu                               Pick a new printer
                 Plot the scores in 2D                 Set user defined
                 bars                                  line codes
                 Plot the scores in 3D                 Line printer codes
                 bars                                  Set character size
                 Plot individual trends                Set print quality
                 in 2D bars                            Set the printer port
                 Plot individual trends                Page and line
                 in 3D bars                            settings
                 Correlate two tests                Sorting
                 Correlate two tests                Default sections
                 with 3D bars                       Numbers of sections
                 Plot class statistics            DOS shell
                 Plot an individual               Quit the class
                 versus class statistics          Get another class
                 Change fonts


                                          77












                                    XIV. GLOSSARY



          ASCII               A standard code that translates normal
                              characters and symbols into 7 bit binary
                              computer code.

          AUTOEXEC.BAT        When you start your computer, it looks for
                              this file to get information about the
                              operating environment.

          Bars                Squares used to depict student scores in the
                              plots.  They can look two dimensional or
                              three dimensional.

          Batch               One of three types of files that MS-DOS can
                              execute.  Batch files are written in ASCII
                              characters, with each line telling MS-DOS
                              what to do.

          Cell                A highlighted area of the screen that holds
                              one piece of data.

          Comma & Quote Files Files that have strings of characters between
                              double quotes (""), and commas separating
                              pieces of data.  Numbers are separated only
                              by commas.

          Cursor Keys         Keys that move the position of the cursor on
                              the screen.  They include the arrow keys, the
                              home, end, page up, and page down keys.

          Default             The value when the program starts.

          Directory           Group of files on a disk.   Files on hard
                              disks are usually grouped together in
                              directories to make it easier to find the
                              file you need.  Drives are also directories.

          Display Adapter     A card in the computer that controls the
                              monitor.  It can be a Hercules card, CGA,
                              EGA, or VGA card, as well as other cards.










                                          78









                                                                Glossary

          Edit Keys           When edit keys are used, the left and right
                              arrow cursor keys move within a cell instead
                              of between cells, and the home and end keys
                              move to the beginning and end of the cell.
                              To "use" edit keys means that you can use the
                              left and right arrow, home, and end keys to
                              move around a cell.  To move between cells
                              when "using" edit keys, you need to use
                              <Ctrl>-arrow keys.

          Fixed Disk          A disk that cannot be removed from the
                              computer.

          Flat Files          Files that have data in columns, separated by
                              spaces.

          Floppy Disk         A disk that can be removed from a drive.

          Hard Disk           A disk that cannot be removed from the
                              computer.

          Install             Put the files needed by a program onto new
                              disks such that the new disks have the
                              program files in the places needed by that
                              program.

          Line Printer        A printer that prints non-graphics
                              characters.  All printers are line printers.

          Main Menu           The menu that lists the major sections of the
                              program.

          Menu-driven         Uses menus to let you reach all parts and
                              features of the program.

          Monochrome          Black and white.

          Overlay             The part of the program that is in memory
                              only when needed.  It is read in from a disk
                              when it is needed.

          Path                A list of directories that tells MS-DOS where
                              executable programs are.  The path is set by
                              typing "SET PATH=directory1;directory2;" at
                              the DOS prompt, where directory1 and
                              directory2, etc., are names of directories.

          Ports               Printers are connected to either serial or
                              parallel cards in your computer.  Each card
                              has a different designation for its address.
                              These addresses are the ports.



                                          79










          Printer Codes       Codes sent to the printer to control how it
                              prints data.

          Regular tasks       Those tasks that you can put in new data.
                              They are the number, letter, and extra credit
                              tasks.

          Special keys        Special keys are those that do not print
                              normal (ASCII) keys.  The function keys (<F1>
                              through <F10>), the <Alt>, <Ctrl>, <Ins>,
                              <Del>, and the cursor keys.

          Special tasks       Those tasks that are calculated by the
                              program.  You cannot put in new scores into
                              these tasks.

          Task                A graded assignment for the class.

          Toggle              Turn on and off.




































                                          80












                               XV. FURTHER INFORMATION



               This program is COPYRIGHTED (C) 1987-90 by Dennis Revie.
               All rights are reserved.

               Schools, school districts, and colleges and universities can
          get a site license ("group" register) VAR Grade at reduced rates.
          Write for details, including information on special needs.

          A. Information

            This manual should contain most of your questions.  Should you
            need further assistance, either to clarify parts of the
            program, to suggest changes, to report bugs, or to obtain a
            custom version of the program, write to the address below.  You
            will receive a prompt reply.  This program is user supported
            and your comments are encouraged.  Details on registration are
            listed near the beginning of the program.

          B. Registration

            This program can be distributed as SHAREWARE.  It is not free.
            You may use it on a preview basis only.  If you find the
            program useful, you MUST register it by sending $30 (for
            registration only) or $40 (to register and also receive a 78
            page laser-printed manual) to the address below.   See the
            Notice on page i for more details.

                 Dennis Revie
                 Attn: VAR GRADE
                 4804 Highland Ave
                 Oxnard, CA  93033-7818

            Modem (information only):             

               BIX: revied
               CIS: 73427, 112














                                          81




